/*!
 * @certifaction/verification-vue-component 3.0.0-rc.9
 *
 * @link https://certifaction.com
 * @source https://github.com/certifaction/verification/tree/master/packages/verification-vue-component
 * @copyright (c) 2019-2020 Certifaction AG
 * @license MIT
 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var Vue = require('vue');
var VueScrollTo = require('vue-scrollto');
var verificationCore = require('@certifaction/verification-core');
var js = require('@mdi/js');
var axios = require('axios');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var Vue__default = /*#__PURE__*/_interopDefaultLegacy(Vue);
var VueScrollTo__default = /*#__PURE__*/_interopDefaultLegacy(VueScrollTo);
var axios__default = /*#__PURE__*/_interopDefaultLegacy(axios);

function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) {
  try {
    var info = gen[key](arg);
    var value = info.value;
  } catch (error) {
    reject(error);
    return;
  }

  if (info.done) {
    resolve(value);
  } else {
    Promise.resolve(value).then(_next, _throw);
  }
}

function _asyncToGenerator(fn) {
  return function () {
    var self = this,
        args = arguments;
    return new Promise(function (resolve, reject) {
      var gen = fn.apply(self, args);

      function _next(value) {
        asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value);
      }

      function _throw(err) {
        asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err);
      }

      _next(undefined);
    });
  };
}

function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}

function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread2(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(Object(source), true).forEach(function (key) {
        _defineProperty(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}

function _slicedToArray(arr, i) {
  return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest();
}

function _arrayWithHoles(arr) {
  if (Array.isArray(arr)) return arr;
}

function _iterableToArrayLimit(arr, i) {
  if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return;
  var _arr = [];
  var _n = true;
  var _d = false;
  var _e = undefined;

  try {
    for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
      _arr.push(_s.value);

      if (i && _arr.length === i) break;
    }
  } catch (err) {
    _d = true;
    _e = err;
  } finally {
    try {
      if (!_n && _i["return"] != null) _i["return"]();
    } finally {
      if (_d) throw _e;
    }
  }

  return _arr;
}

function _unsupportedIterableToArray(o, minLen) {
  if (!o) return;
  if (typeof o === "string") return _arrayLikeToArray(o, minLen);
  var n = Object.prototype.toString.call(o).slice(8, -1);
  if (n === "Object" && o.constructor) n = o.constructor.name;
  if (n === "Map" || n === "Set") return Array.from(o);
  if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
}

function _arrayLikeToArray(arr, len) {
  if (len == null || len > arr.length) len = arr.length;

  for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];

  return arr2;
}

function _nonIterableRest() {
  throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}

function _createForOfIteratorHelper(o, allowArrayLike) {
  var it;

  if (typeof Symbol === "undefined" || o[Symbol.iterator] == null) {
    if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") {
      if (it) o = it;
      var i = 0;

      var F = function () {};

      return {
        s: F,
        n: function () {
          if (i >= o.length) return {
            done: true
          };
          return {
            done: false,
            value: o[i++]
          };
        },
        e: function (e) {
          throw e;
        },
        f: F
      };
    }

    throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
  }

  var normalCompletion = true,
      didErr = false,
      err;
  return {
    s: function () {
      it = o[Symbol.iterator]();
    },
    n: function () {
      var step = it.next();
      normalCompletion = step.done;
      return step;
    },
    e: function (e) {
      didErr = true;
      err = e;
    },
    f: function () {
      try {
        if (!normalCompletion && it.return != null) it.return();
      } finally {
        if (didErr) throw err;
      }
    }
  };
}

var i18nWrapperMixin = {
  methods: {
    _$t: function _$t(key) {
      if (typeof this.$t === 'function') {
        for (var _len = arguments.length, values = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
          values[_key - 1] = arguments[_key];
        }

        return this.$t.apply(this, [key].concat(values));
      }

      return key;
    },
    _$tc: function _$tc(key, choice) {
      if (typeof this.$tc === 'function') {
        for (var _len2 = arguments.length, values = new Array(_len2 > 2 ? _len2 - 2 : 0), _key2 = 2; _key2 < _len2; _key2++) {
          values[_key2 - 2] = arguments[_key2];
        }

        return this.$tc.apply(this, [key, choice].concat(values));
      }

      return key;
    },
    _$te: function _$te(key, locale) {
      if (typeof this.$te === 'function') {
        return this.$te(key, locale);
      }

      return false;
    },
    _$d: function _$d(value) {
      if (typeof this.$d === 'function') {
        for (var _len3 = arguments.length, args = new Array(_len3 > 1 ? _len3 - 1 : 0), _key3 = 1; _key3 < _len3; _key3++) {
          args[_key3 - 1] = arguments[_key3];
        }

        return this.$d.apply(this, [value].concat(args));
      }

      return false;
    },
    _$n: function _$n(value) {
      if (typeof this.$n === 'function') {
        for (var _len4 = arguments.length, args = new Array(_len4 > 1 ? _len4 - 1 : 0), _key4 = 1; _key4 < _len4; _key4++) {
          args[_key4 - 1] = arguments[_key4];
        }

        return this.$n.apply(this, [value].concat(args));
      }

      return false;
    }
  }
};

var script = {
  name: 'MDIcon',
  props: {
    icon: {
      type: String,
      required: true
    }
  }
};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
  if (typeof shadowMode !== 'boolean') {
    createInjectorSSR = createInjector;
    createInjector = shadowMode;
    shadowMode = false;
  }

  var options = typeof script === 'function' ? script.options : script;

  if (template && template.render) {
    options.render = template.render;
    options.staticRenderFns = template.staticRenderFns;
    options._compiled = true;

    if (isFunctionalTemplate) {
      options.functional = true;
    }
  }

  if (scopeId) {
    options._scopeId = scopeId;
  }

  var hook;

  if (moduleIdentifier) {
    hook = function hook(context) {
      context = context || this.$vnode && this.$vnode.ssrContext || this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;

      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__;
      }

      if (style) {
        style.call(this, createInjectorSSR(context));
      }

      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };

    options._ssrRegister = hook;
  } else if (style) {
    hook = shadowMode ? function (context) {
      style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
    } : function (context) {
      style.call(this, createInjector(context));
    };
  }

  if (hook) {
    if (options.functional) {
      var originalRender = options.render;

      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }

  return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('svg',{staticClass:"md-icon",attrs:{"viewBox":"0 0 24 24"}},[_c('path',{attrs:{"fill":"currentColor","d":_vm.icon}})])};
var __vue_staticRenderFns__ = [];

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

var script$1 = {
  name: 'VerificationDemo',
  mixins: [i18nWrapperMixin],
  components: {
    MDIcon: __vue_component__
  },
  data: function data() {
    return {
      mdiAlertCircle: js.mdiAlertCircle,
      mdiShield: js.mdiShield,
      mdiShieldCheck: js.mdiShieldCheck
    };
  },
  methods: {
    randomLineClass: function randomLineClass() {
      return Math.random() > 0.5 ? 'line-long' : 'line-short';
    }
  }
};

/* script */
const __vue_script__$1 = script$1;

/* template */
var __vue_render__$1 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"verification-demo"},[_c('div',{staticClass:"sample-docs"},[_c('h3',[_vm._v(_vm._s(_vm._$t('verification.demo.title')))]),_vm._v(" "),_c('span',{staticClass:"click-to-verify"},[_vm._v(_vm._s(_vm._$t('verification.demo.clickToVerify')))]),_vm._v(" "),_c('div',{staticClass:"docs"},[_c('div',{staticClass:"paperbox"},[_c('div',{directives:[{name:"tooltip",rawName:"v-tooltip.top",value:(_vm._$t('verification.demo.notFound.tooltip')),expression:"_$t('verification.demo.notFound.tooltip')",modifiers:{"top":true}}],staticClass:"paper paper-not-found",attrs:{"draggable":""},on:{"click":function($event){return _vm.$emit('verify-demo', 'notFound')},"dragstart":function($event){return _vm.$emit('dragging-demo-doc', 'notFound')},"dragend":function($event){return _vm.$emit('dragging-demo-doc')}}},[_c('MDIcon',{attrs:{"icon":_vm.mdiAlertCircle}}),_vm._v(" "),_c('div',{staticClass:"lines"},_vm._l((4),function(n){return _c('div',{key:n,class:_vm.randomLineClass()})}),0)],1),_vm._v(" "),_c('div',{directives:[{name:"tooltip",rawName:"v-tooltip.top",value:(_vm._$t('verification.demo.technicalProblem.tooltip')),expression:"_$t('verification.demo.technicalProblem.tooltip')",modifiers:{"top":true}}],staticClass:"paper paper-technical-problem",attrs:{"draggable":""},on:{"click":function($event){return _vm.$emit('verify-demo', 'technicalProblem')},"dragstart":function($event){return _vm.$emit('dragging-demo-doc', 'technicalProblem')},"dragend":function($event){return _vm.$emit('dragging-demo-doc')}}},[_c('MDIcon',{attrs:{"icon":_vm.mdiAlertCircle}}),_vm._v(" "),_c('div',{staticClass:"lines"},_vm._l((4),function(n){return _c('div',{key:n,class:_vm.randomLineClass()})}),0)],1),_vm._v(" "),_c('div',{directives:[{name:"tooltip",rawName:"v-tooltip.top",value:(_vm._$t('verification.demo.verifiedProcessing.tooltip')),expression:"_$t('verification.demo.verifiedProcessing.tooltip')",modifiers:{"top":true}}],staticClass:"paper paper-verified-processing",attrs:{"draggable":""},on:{"click":function($event){return _vm.$emit('verify-demo', 'verifiedProcessing')},"dragstart":function($event){return _vm.$emit('dragging-demo-doc', 'verifiedProcessing')},"dragend":function($event){return _vm.$emit('dragging-demo-doc')}}},[_c('MDIcon',{attrs:{"icon":_vm.mdiShield}}),_vm._v(" "),_c('div',{staticClass:"lines"},_vm._l((4),function(n){return _c('div',{key:n,class:_vm.randomLineClass()})}),0)],1),_vm._v(" "),_c('div',{directives:[{name:"tooltip",rawName:"v-tooltip.top",value:(_vm._$t('verification.demo.verified.tooltip')),expression:"_$t('verification.demo.verified.tooltip')",modifiers:{"top":true}}],staticClass:"paper paper-verified",attrs:{"draggable":""},on:{"click":function($event){return _vm.$emit('verify-demo', 'verified')},"dragstart":function($event){return _vm.$emit('dragging-demo-doc', 'verified')},"dragend":function($event){return _vm.$emit('dragging-demo-doc')}}},[_c('MDIcon',{attrs:{"icon":_vm.mdiShieldCheck}}),_vm._v(" "),_c('div',{staticClass:"lines"},_vm._l((4),function(n){return _c('div',{key:n,class:_vm.randomLineClass()})}),0)],1),_vm._v(" "),_c('div',{directives:[{name:"tooltip",rawName:"v-tooltip.top",value:(_vm._$t('verification.demo.verifiedSelfDeclared.tooltip')),expression:"_$t('verification.demo.verifiedSelfDeclared.tooltip')",modifiers:{"top":true}}],staticClass:"paper paper-verified-self-declared",attrs:{"draggable":""},on:{"click":function($event){return _vm.$emit('verify-demo', 'verifiedSelfDeclared')},"dragstart":function($event){return _vm.$emit('dragging-demo-doc', 'verifiedSelfDeclared')},"dragend":function($event){return _vm.$emit('dragging-demo-doc')}}},[_c('MDIcon',{attrs:{"icon":_vm.mdiShieldCheck}}),_vm._v(" "),_c('div',{staticClass:"lines"},_vm._l((4),function(n){return _c('div',{key:n,class:_vm.randomLineClass()})}),0)],1),_vm._v(" "),_c('div',{directives:[{name:"tooltip",rawName:"v-tooltip.top",value:(_vm._$t('verification.demo.revokedVerified.tooltip')),expression:"_$t('verification.demo.revokedVerified.tooltip')",modifiers:{"top":true}}],staticClass:"paper paper-revoked-verified",attrs:{"draggable":""},on:{"click":function($event){return _vm.$emit('verify-demo', 'revokedVerified')},"dragstart":function($event){return _vm.$emit('dragging-demo-doc', 'revokedVerified')},"dragend":function($event){return _vm.$emit('dragging-demo-doc')}}},[_c('MDIcon',{attrs:{"icon":_vm.mdiShieldCheck}}),_vm._v(" "),_c('div',{staticClass:"lines"},_vm._l((4),function(n){return _c('div',{key:n,class:_vm.randomLineClass()})}),0)],1)])])])])};
var __vue_staticRenderFns__$1 = [];

  /* style */
  const __vue_inject_styles__$1 = undefined;
  /* scoped */
  const __vue_scope_id__$1 = undefined;
  /* module identifier */
  const __vue_module_identifier__$1 = undefined;
  /* functional template */
  const __vue_is_functional_template__$1 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$1 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$1, staticRenderFns: __vue_staticRenderFns__$1 },
    __vue_inject_styles__$1,
    __vue_script__$1,
    __vue_scope_id__$1,
    __vue_is_functional_template__$1,
    __vue_module_identifier__$1,
    false,
    undefined,
    undefined,
    undefined
  );

var script$2 = {
  name: 'VerificationFileSelector',
  mixins: [i18nWrapperMixin],
  props: {
    firstVerification: {
      type: Boolean,
      default: true
    }
  },
  computed: {
    titleLabel: function titleLabel() {
      return this.firstVerification ? this._$t('verification.fileSelection.title.first') : this._$t('verification.fileSelection.title.following');
    }
  },
  methods: {
    filesSelected: function filesSelected(target, files) {
      this.$emit('files-selected', files);
    }
  }
};

const img = "data:image/svg+xml,%3csvg width='44' height='54' viewBox='0 0 44 54' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cg clip-path='url(%23clip0)'%3e%3cg filter='url(%23filter0_dd)'%3e%3cpath d='M36.3847 2.11768H2.53857V48.7059H36.3847V2.11768Z' fill='white'/%3e%3cpath d='M6.34619 6.77649H16.077' stroke='%2314213D' stroke-opacity='0.5' stroke-linecap='round' stroke-linejoin='round'/%3e%3cpath d='M6.34619 9.31775H16.077' stroke='%2314213D' stroke-opacity='0.5' stroke-linecap='round' stroke-linejoin='round'/%3e%3cpath d='M6.34619 16.0941H32.577' stroke='%2314213D' stroke-opacity='0.5' stroke-linecap='round' stroke-linejoin='round'/%3e%3cpath d='M6.34619 18.6353H32.577' stroke='%2314213D' stroke-opacity='0.5' stroke-linecap='round' stroke-linejoin='round'/%3e%3cpath d='M6.34619 21.1765H32.577' stroke='%2314213D' stroke-opacity='0.5' stroke-linecap='round' stroke-linejoin='round'/%3e%3cpath d='M6.34619 23.7177H32.577' stroke='%2314213D' stroke-opacity='0.5' stroke-linecap='round' stroke-linejoin='round'/%3e%3cpath d='M6.34619 26.2589H32.577' stroke='%2314213D' stroke-opacity='0.5' stroke-linecap='round' stroke-linejoin='round'/%3e%3cpath d='M6.34619 28.8H18.1923' stroke='%2314213D' stroke-opacity='0.5' stroke-linecap='round' stroke-linejoin='round'/%3e%3cpath d='M6.34619 44.8942H16.077' stroke='%2314213D' stroke-opacity='0.5' stroke-linecap='round' stroke-linejoin='round'/%3e%3cpath d='M23.0581 44.8942H32.5773' stroke='%2314213D' stroke-opacity='0.5' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/g%3e%3cpath d='M41.9268 50.5755L39.705 48.3518C39.6925 48.3395 39.683 48.3247 39.677 48.3084C39.6711 48.2921 39.6688 48.2745 39.6703 48.2571C39.6718 48.2398 39.6773 48.2228 39.6859 48.2078C39.6948 48.1928 39.7069 48.1799 39.721 48.1699L41.1489 47.1788C41.2228 47.1278 41.2805 47.0569 41.3156 46.9743C41.3509 46.8919 41.3622 46.8011 41.348 46.7123C41.334 46.6238 41.2951 46.541 41.2361 46.4735C41.1771 46.4059 41.1003 46.3563 41.0144 46.3307L34.9705 44.5148C34.9088 44.4964 34.8434 44.4951 34.7808 44.511C34.7184 44.5269 34.6615 44.5593 34.6158 44.6048C34.5703 44.6504 34.5379 44.7075 34.5221 44.77C34.5064 44.8325 34.5077 44.8981 34.5261 44.96L36.3398 51.0111C36.3656 51.0971 36.4151 51.174 36.4826 51.2329C36.5501 51.2919 36.6328 51.3307 36.7214 51.3449C36.8099 51.3589 36.9006 51.3476 36.9829 51.3123C37.0654 51.2771 37.136 51.2193 37.187 51.1454L38.1766 49.716C38.1865 49.7018 38.1994 49.6897 38.2145 49.6808C38.2295 49.6722 38.2464 49.6667 38.2638 49.6652C38.2811 49.6635 38.2984 49.6658 38.3149 49.6717C38.3312 49.6777 38.346 49.687 38.3585 49.6993L40.5803 51.9234C40.6696 52.0128 40.7906 52.063 40.9167 52.063C41.0429 52.063 41.1639 52.0128 41.2532 51.9234L41.9268 51.2494C42.016 51.16 42.0662 51.0389 42.0662 50.9125C42.0662 50.786 42.016 50.6649 41.9268 50.5755Z' fill='%231376FF'/%3e%3c/g%3e%3cdefs%3e%3cfilter id='filter0_dd' x='-9.46143' y='-7.88232' width='57.8462' height='70.5882' filterUnits='userSpaceOnUse' color-interpolation-filters='sRGB'%3e%3cfeFlood flood-opacity='0' result='BackgroundImageFix'/%3e%3cfeColorMatrix in='SourceAlpha' type='matrix' values='0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0'/%3e%3cfeOffset dy='1'/%3e%3cfeGaussianBlur stdDeviation='2'/%3e%3cfeColorMatrix type='matrix' values='0 0 0 0 0.12549 0 0 0 0 0.2 0 0 0 0 0.27451 0 0 0 0.04 0'/%3e%3cfeBlend mode='normal' in2='BackgroundImageFix' result='effect1_dropShadow'/%3e%3cfeColorMatrix in='SourceAlpha' type='matrix' values='0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0'/%3e%3cfeOffset dy='2'/%3e%3cfeGaussianBlur stdDeviation='6'/%3e%3cfeColorMatrix type='matrix' values='0 0 0 0 0.12549 0 0 0 0 0.2 0 0 0 0 0.27451 0 0 0 0.09 0'/%3e%3cfeBlend mode='normal' in2='effect1_dropShadow' result='effect2_dropShadow'/%3e%3cfeBlend mode='normal' in='SourceGraphic' in2='effect2_dropShadow' result='shape'/%3e%3c/filter%3e%3cclipPath id='clip0'%3e%3crect width='44' height='54' fill='white'/%3e%3c/clipPath%3e%3c/defs%3e%3c/svg%3e";

/* script */
const __vue_script__$2 = script$2;
var __vue_render__$2 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"verification-file-selector"},[_c('div',{staticClass:"file-selector"},[_c('div',{staticClass:"content"},[_c('img',{attrs:{"src":img,"alt":"Certifaction"}}),_vm._v(" "),_c('div',{staticClass:"labels"},[_c('div',{staticClass:"label title"},[_vm._v(_vm._s(_vm.titleLabel))]),_vm._v(" "),_c('div',{staticClass:"label subtitle"},[_vm._v(_vm._s(_vm._$t('verification.fileSelection.subtitle.selector')))])])]),_vm._v(" "),_c('input',{staticClass:"input-file",attrs:{"type":"file","multiple":"","name":"uploadField","accept":"application/pdf"},on:{"change":function($event){return _vm.filesSelected($event.target.name, $event.target.files)}}})])])};
var __vue_staticRenderFns__$2 = [];

  /* style */
  const __vue_inject_styles__$2 = undefined;
  /* scoped */
  const __vue_scope_id__$2 = undefined;
  /* module identifier */
  const __vue_module_identifier__$2 = undefined;
  /* functional template */
  const __vue_is_functional_template__$2 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$2 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$2, staticRenderFns: __vue_staticRenderFns__$2 },
    __vue_inject_styles__$2,
    __vue_script__$2,
    __vue_scope_id__$2,
    __vue_is_functional_template__$2,
    __vue_module_identifier__$2,
    false,
    undefined,
    undefined,
    undefined
  );

var script$3 = {
  name: 'VerificationDropBox',
  mixins: [i18nWrapperMixin],
  props: {
    firstVerification: {
      type: Boolean,
      default: true
    }
  },
  computed: {
    titleLabel: function titleLabel() {
      return this.firstVerification ? this._$t('verification.fileSelection.title.first') : this._$t('verification.fileSelection.title.following');
    }
  }
};

/* script */
const __vue_script__$3 = script$3;
var __vue_render__$3 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"verification-dropbox"},[_c('div',{staticClass:"dropbox"},[_c('div',{staticClass:"content"},[_c('div',{staticClass:"labels"},[_c('div',{staticClass:"label title"},[_vm._v(_vm._s(_vm.titleLabel))]),_vm._v(" "),_c('div',{staticClass:"label subtitle"},[_vm._v(_vm._s(_vm._$t('verification.fileSelection.subtitle.dropbox')))])]),_vm._v(" "),_c('img',{attrs:{"src":img,"alt":"Certifaction"}})])])])};
var __vue_staticRenderFns__$3 = [];

  /* style */
  const __vue_inject_styles__$3 = undefined;
  /* scoped */
  const __vue_scope_id__$3 = undefined;
  /* module identifier */
  const __vue_module_identifier__$3 = undefined;
  /* functional template */
  const __vue_is_functional_template__$3 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$3 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$3, staticRenderFns: __vue_staticRenderFns__$3 },
    __vue_inject_styles__$3,
    __vue_script__$3,
    __vue_scope_id__$3,
    __vue_is_functional_template__$3,
    __vue_module_identifier__$3,
    false,
    undefined,
    undefined,
    undefined
  );

var script$4 = {
  name: 'BaseCard'
};

/* script */
const __vue_script__$4 = script$4;

/* template */
var __vue_render__$4 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"base-card"},[_c('div',{staticClass:"card-header"},[_vm._t("header")],2),_vm._v(" "),_c('div',{staticClass:"card-body"},[_vm._t("body")],2),_vm._v(" "),_c('div',{staticClass:"card-footer"},[_vm._t("footer")],2)])};
var __vue_staticRenderFns__$4 = [];

  /* style */
  const __vue_inject_styles__$4 = undefined;
  /* scoped */
  const __vue_scope_id__$4 = undefined;
  /* module identifier */
  const __vue_module_identifier__$4 = undefined;
  /* functional template */
  const __vue_is_functional_template__$4 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$4 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$4, staticRenderFns: __vue_staticRenderFns__$4 },
    __vue_inject_styles__$4,
    __vue_script__$4,
    __vue_scope_id__$4,
    __vue_is_functional_template__$4,
    __vue_module_identifier__$4,
    false,
    undefined,
    undefined,
    undefined
  );

var defaultOptions = {
  year: 'numeric',
  month: 'long',
  day: '2-digit',
  hour: '2-digit',
  minute: '2-digit',
  second: '2-digit'
};
var dateFormatter = {
  methods: {
    dateFormat: function dateFormat(timestamp) {
      var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultOptions;
      return timestamp.toLocaleString(this.$i18n.locale ? this.$i18n.locale : 'en', options);
    }
  }
};

const img$1 = "data:image/svg+xml,%3csvg width='16' height='16' viewBox='0 0 16 16' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath fill-rule='evenodd' clip-rule='evenodd' d='M14.073 1.57933C14.4375 1.74844 14.6695 2.11492 14.6664 2.51666V7.608C14.6719 10.9894 12.5987 14.0266 9.4477 15.2533L8.73637 15.5293C8.26237 15.7127 7.73704 15.7127 7.26304 15.5293L6.5517 15.2533C3.40068 14.0266 1.32753 10.9894 1.33304 7.608V2.51666C1.32996 2.11492 1.56194 1.74844 1.92637 1.57933C3.83979 0.738767 5.90988 0.314069 7.9997 0.33333C10.0895 0.314069 12.1596 0.738767 14.073 1.57933ZM8.31503 10.9807L12.3384 5.49266H12.3357C12.5168 5.25283 12.5548 4.93405 12.435 4.6584C12.3153 4.38275 12.0564 4.19293 11.7574 4.16165C11.4585 4.13036 11.1659 4.26245 10.9917 4.50733L7.65837 9.05466C7.62962 9.09402 7.58508 9.11883 7.53649 9.12255C7.48789 9.12627 7.4401 9.10853 7.4057 9.074L5.17837 6.846C4.85147 6.53009 4.33172 6.53446 4.01018 6.85582C3.68864 7.17717 3.68398 7.69692 3.9997 8.024L7.05103 11.074C7.20715 11.2306 7.41921 11.3187 7.64037 11.3187H7.70703C7.94926 11.2999 8.17127 11.1765 8.31503 10.9807Z' fill='%2300BF86'/%3e%3c/svg%3e";

const img$2 = "data:image/svg+xml,%3csvg width='16' height='16' viewBox='0 0 16 16' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath fill-rule='evenodd' clip-rule='evenodd' d='M14.6664 2.51666C14.6695 2.11492 14.4375 1.74844 14.073 1.57933C12.1596 0.738767 10.0895 0.314069 7.9997 0.33333C5.90988 0.314069 3.83979 0.738767 1.92637 1.57933C1.56194 1.74844 1.32996 2.11492 1.33304 2.51666V7.608C1.32753 10.9894 3.40068 14.0266 6.5517 15.2533L7.26304 15.5293C7.73704 15.7127 8.26237 15.7127 8.73637 15.5293L9.4477 15.2533C12.5987 14.0266 14.6719 10.9894 14.6664 7.608V2.51666ZM7.99951 13C8.5518 13 8.99951 12.5523 8.99951 12C8.99951 11.4477 8.5518 11 7.99951 11C7.44723 11 6.99951 11.4477 6.99951 12C6.99951 12.5523 7.44723 13 7.99951 13ZM8.99951 8.83333C8.99951 9.47767 8.5518 10 7.99951 10C7.44723 10 6.99951 9.47767 6.99951 8.83333V4.16667C6.99951 3.52233 7.44723 3 7.99951 3C8.5518 3 8.99951 3.52233 8.99951 4.16667V8.83333Z' fill='%23F29E18'/%3e%3c/svg%3e";

const img$3 = "data:image/svg+xml,%3csvg width='14' height='16' viewBox='0 0 14 16' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath fill-rule='evenodd' clip-rule='evenodd' d='M13.073 1.57933C13.4375 1.74844 13.6695 2.11492 13.6664 2.51666V7.608C13.6719 10.9894 11.5987 14.0266 8.44771 15.2533L7.73637 15.5293C7.26237 15.7127 6.73704 15.7127 6.26304 15.5293L5.55171 15.2533C2.40068 14.0266 0.327531 10.9894 0.333038 7.608V2.51666C0.329956 2.11492 0.561939 1.74844 0.926372 1.57933C2.83979 0.738767 4.90988 0.314069 6.99971 0.33333C9.08953 0.314069 11.1596 0.738767 13.073 1.57933ZM10.0796 11.0759C10.3398 10.8156 10.3398 10.3936 10.0796 10.1333L8.23623 8.29261C8.17353 8.23007 8.1383 8.14516 8.1383 8.05661C8.1383 7.96806 8.17353 7.88315 8.23623 7.82061L10.0796 5.97728C10.3322 5.71569 10.3286 5.29989 10.0714 5.04273C9.81428 4.78558 9.39848 4.78196 9.13689 5.03461L7.29289 6.87794C7.16273 7.00807 6.95173 7.00807 6.82156 6.87794L4.97823 5.03461C4.81084 4.86131 4.56297 4.7918 4.32989 4.85281C4.0968 4.91382 3.91477 5.09585 3.85376 5.32894C3.79275 5.56203 3.86225 5.80989 4.03556 5.97728L5.87889 7.82061C5.94159 7.88315 5.97682 7.96806 5.97682 8.05661C5.97682 8.14516 5.94159 8.23007 5.87889 8.29261L4.03556 10.1359C3.7753 10.3963 3.7753 10.8183 4.03556 11.0786C4.30029 11.328 4.7135 11.328 4.97823 11.0786L6.82156 9.23528C6.95173 9.10515 7.16273 9.10515 7.29289 9.23528L9.13689 11.0759C9.39857 11.3329 9.81789 11.3329 10.0796 11.0759Z' fill='%23EE4266'/%3e%3c/svg%3e";

var script$5 = {
  name: 'ResultDetail',
  mixins: [i18nWrapperMixin, dateFormatter],
  components: {
    MDIcon: __vue_component__
  },
  props: {
    verificationResult: {
      type: String,
      required: true
    },
    verificationInProgress: {
      type: Boolean,
      default: false
    },
    revocationInProgress: {
      type: Boolean,
      default: false
    },
    revocationDate: null,
    isSigning: {
      type: Boolean,
      default: false
    }
  },
  data: function data() {
    return {
      mdiShieldCheck: js.mdiShieldCheck,
      mdiChevronUp: js.mdiChevronUp,
      mdiChevronDown: js.mdiChevronDown,
      mdiCircle: js.mdiCircle,
      mdiAlertCircle: js.mdiAlertCircle,
      mdiCloseCircle: js.mdiCloseCircle,
      mdiCheckCircle: js.mdiCheckCircle,
      showDetails: false,
      headerSuccessShield: img$1,
      headerWarningShield: img$2,
      headerErrorShield: img$3
    };
  },
  computed: {
    togglerArrow: function togglerArrow() {
      return this.showDetails ? js.mdiChevronUp : js.mdiChevronDown;
    },
    showDropdownToggler: function showDropdownToggler() {
      return this.verificationResult !== 'notFound' && this.verificationResult !== 'technicalProblem';
    },
    headerIcon: function headerIcon() {
      switch (this.verificationResult) {
        case 'verifiedIssuer':
        case 'signingComplete':
          return img$1;

        case 'unverifiedIssuer':
        case 'technicalProblem':
        case 'notFound':
          return img$2;

        default:
          return img$3;
      }
    },
    verificationResultClass: function verificationResultClass() {
      return this.verificationResult.replace(/([a-z0-9]|(?=[A-Z]))([A-Z])/g, '$1-$2').toLowerCase();
    },
    translationType: function translationType() {
      return this.isSigning ? 'signing' : 'verification';
    },
    signatureInProgress: function signatureInProgress() {
      return false;
    }
  },
  methods: {
    toggleDropdown: function toggleDropdown() {
      this.showDetails = this.showDropdownToggler ? !this.showDetails : this.showDetails;
    },
    getDetailIcon: function getDetailIcon(detail) {
      switch (detail) {
        case 'tamperProof':
        case 'verifiedIssuer':
        case 'blockchain':
        case 'valid':
        case 'signatures':
          return js.mdiCheckCircle;

        case 'unverifiedIssuer':
          return js.mdiAlertCircle;

        case 'invalid':
          return js.mdiCloseCircle;
      }
    },
    getDetailLabel: function getDetailLabel(index, item) {
      if (index === 'blockchain') {
        return this.verificationInProgress || this.revocationInProgress ? item.registering : item.secured;
      } else if (index === 'signatures') {
        return  item.complete;
      } else if (index === 'invalid') {
        var labelType = this.revocationDate ? 'default' : 'offchain';
        return this._$t('verification.result.' + this.translationType + '.' + this.verificationResult + '.details.invalid.' + labelType, {
          revocationDate: this.revocationDate ? this.dateFormat(this.revocationDate) : null
        });
      }

      return item;
    },
    getDetailClass: function getDetailClass(index) {
      return index.replace(/([a-z0-9]|(?=[A-Z]))([A-Z])/g, '$1-$2').toLowerCase();
    }
  }
};

const img$4 = "data:image/svg+xml,%3c%3fxml version='1.0' encoding='utf-8'%3f%3e%3csvg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' style='margin: auto%3b background: none%3b display: block%3b shape-rendering: auto%3b' width='100px' height='100px' viewBox='0 0 100 100' preserveAspectRatio='xMidYMid'%3e%3cg transform='rotate(0 50 50)'%3e %3crect x='46.5' y='17' rx='0.9' ry='0.9' width='7' height='18' fill='white'%3e %3canimate attributeName='opacity' values='1%3b0' keyTimes='0%3b1' dur='1s' begin='-0.875s' repeatCount='indefinite'%3e%3c/animate%3e %3c/rect%3e%3c/g%3e%3cg transform='rotate(45 50 50)'%3e %3crect x='46.5' y='17' rx='0.9' ry='0.9' width='7' height='18' fill='white'%3e %3canimate attributeName='opacity' values='1%3b0' keyTimes='0%3b1' dur='1s' begin='-0.75s' repeatCount='indefinite'%3e%3c/animate%3e %3c/rect%3e%3c/g%3e%3cg transform='rotate(90 50 50)'%3e %3crect x='46.5' y='17' rx='0.9' ry='0.9' width='7' height='18' fill='white'%3e %3canimate attributeName='opacity' values='1%3b0' keyTimes='0%3b1' dur='1s' begin='-0.625s' repeatCount='indefinite'%3e%3c/animate%3e %3c/rect%3e%3c/g%3e%3cg transform='rotate(135 50 50)'%3e %3crect x='46.5' y='17' rx='0.9' ry='0.9' width='7' height='18' fill='white'%3e %3canimate attributeName='opacity' values='1%3b0' keyTimes='0%3b1' dur='1s' begin='-0.5s' repeatCount='indefinite'%3e%3c/animate%3e %3c/rect%3e%3c/g%3e%3cg transform='rotate(180 50 50)'%3e %3crect x='46.5' y='17' rx='0.9' ry='0.9' width='7' height='18' fill='white'%3e %3canimate attributeName='opacity' values='1%3b0' keyTimes='0%3b1' dur='1s' begin='-0.375s' repeatCount='indefinite'%3e%3c/animate%3e %3c/rect%3e%3c/g%3e%3cg transform='rotate(225 50 50)'%3e %3crect x='46.5' y='17' rx='0.9' ry='0.9' width='7' height='18' fill='white'%3e %3canimate attributeName='opacity' values='1%3b0' keyTimes='0%3b1' dur='1s' begin='-0.25s' repeatCount='indefinite'%3e%3c/animate%3e %3c/rect%3e%3c/g%3e%3cg transform='rotate(270 50 50)'%3e %3crect x='46.5' y='17' rx='0.9' ry='0.9' width='7' height='18' fill='white'%3e %3canimate attributeName='opacity' values='1%3b0' keyTimes='0%3b1' dur='1s' begin='-0.125s' repeatCount='indefinite'%3e%3c/animate%3e %3c/rect%3e%3c/g%3e%3cg transform='rotate(315 50 50)'%3e %3crect x='46.5' y='17' rx='0.9' ry='0.9' width='7' height='18' fill='white'%3e %3canimate attributeName='opacity' values='1%3b0' keyTimes='0%3b1' dur='1s' begin='0s' repeatCount='indefinite'%3e%3c/animate%3e %3c/rect%3e%3c/g%3e%3c!-- %5bldio%5d generated by https://loading.io/ --%3e%3c/svg%3e";

/* script */
const __vue_script__$5 = script$5;
var __vue_render__$5 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"result-detail",class:[_vm.verificationResultClass, {expanded: _vm.showDetails && _vm.showDropdownToggler}]},[_c('div',{staticClass:"detail-header",on:{"click":_vm.toggleDropdown}},[_c('div',{staticClass:"header-icon"},[_c('img',{attrs:{"src":_vm.headerIcon,"alt":"Certifaction"}})]),_vm._v(" "),_c('div',{staticClass:"header-label"},[_c('div',{domProps:{"innerHTML":_vm._s(_vm._$t('verification.result.' + _vm.translationType + '.' + _vm.verificationResult + '.status'))}})]),_vm._v(" "),(_vm.showDropdownToggler)?_c('div',{staticClass:"header-action"},[_c('button',{staticClass:"btn-link advanced-toggler",attrs:{"type":"button"}},[(_vm.verificationInProgress || _vm.revocationInProgress || _vm.signatureInProgress)?_c('img',{staticClass:"loading-spinner",attrs:{"src":img$4,"alt":"Spinner"}}):_vm._e(),_vm._v(" "),_c('span',[_vm._v(_vm._s(_vm._$t('verification.result.meta.details')))]),_vm._v(" "),_c('MDIcon',{staticClass:"toggler",attrs:{"icon":_vm.showDetails ? _vm.mdiChevronUp : _vm.mdiChevronDown}})],1)]):_vm._e()]),_vm._v(" "),_c('transition',{attrs:{"name":"collapse"}},[(_vm.showDetails)?_c('div',{staticClass:"detail-body"},[_c('ul',_vm._l((_vm._$t('verification.result.' + _vm.translationType + '.' + _vm.verificationResult + '.details', { returnObjects: true, date: _vm.revocationDate })),function(item,index){return _c('li',{key:index,staticClass:"detail"},[(((_vm.verificationInProgress || _vm.revocationInProgress) && index === 'blockchain' || _vm.signatureInProgress && index === 'signatures'))?[_c('MDIcon',{staticClass:"in-progress",class:_vm.getDetailClass(index),attrs:{"icon":_vm.mdiCircle}}),_vm._v(" "),_c('img',{staticClass:"loading-spinner",attrs:{"src":img$4,"alt":"Spinner"}})]:_c('MDIcon',{class:_vm.getDetailClass(index),attrs:{"icon":_vm.getDetailIcon(index)}}),_vm._v(" "),_c('span',{domProps:{"innerHTML":_vm._s(_vm.getDetailLabel(index, item))}})],2)}),0)]):_vm._e()])],1)};
var __vue_staticRenderFns__$5 = [];

  /* style */
  const __vue_inject_styles__$5 = undefined;
  /* scoped */
  const __vue_scope_id__$5 = undefined;
  /* module identifier */
  const __vue_module_identifier__$5 = undefined;
  /* functional template */
  const __vue_is_functional_template__$5 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$5 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$5, staticRenderFns: __vue_staticRenderFns__$5 },
    __vue_inject_styles__$5,
    __vue_script__$5,
    __vue_scope_id__$5,
    __vue_is_functional_template__$5,
    __vue_module_identifier__$5,
    false,
    undefined,
    undefined,
    undefined
  );

var script$6 = {
  name: 'VerificationCard',
  mixins: [i18nWrapperMixin, dateFormatter],
  components: {
    BaseCard: __vue_component__$4,
    ResultDetail: __vue_component__$5,
    MDIcon: __vue_component__
  },
  data: function data() {
    return {
      mdiShieldCheck: js.mdiShieldCheck,
      mdiFileDocument: js.mdiFileDocument,
      mdiAlertCircle: js.mdiAlertCircle,
      showExpertInfo: false
    };
  },
  props: {
    verificationItem: {
      type: Object,
      required: true
    },
    net: {
      type: String,
      required: true
    }
  },
  computed: {
    registerEvents: function registerEvents() {
      return this.verificationItem.events ? this.verificationItem.events.filter(function (event) {
        return ['register', 'certify'].indexOf(event.scope) >= 0;
      }) : null;
    },
    revokeEvents: function revokeEvents() {
      return this.verificationItem.events ? this.verificationItem.events.filter(function (event) {
        return event.scope === 'revoke';
      }) : null;
    },
    verificationItemType: function verificationItemType() {
      if (this.verificationItem.hashed === undefined || this.verificationItem.hashed === false) {
        return 'ShadowItem';
      }

      if (this.verificationItem.offchainError && this.verificationItem.error) {
        return 'technicalProblem';
      }

      switch (this.verificationItem.type) {
        case verificationCore.VERIFICATION_TYPES.V_REVOKED:
          if (this.registerEvents[0].identityVerifier) {
            return 'revokedVerified';
          }

          return 'revokedUnverified';

        case verificationCore.VERIFICATION_TYPES.V_NOT_FOUND:
          return 'notFound';

        case verificationCore.VERIFICATION_TYPES.V_SELF_DECLARED:
          return 'unverifiedIssuer';

        case verificationCore.VERIFICATION_TYPES.V_VERIFIED:
          return 'verifiedIssuer';
      }

      return 'technicalProblem';
    },
    isErrorOrNotFound: function isErrorOrNotFound() {
      return this.verificationItemType === 'notFound' || this.verificationItemType === 'technicalProblem';
    }
  },
  methods: {
    toggleHelp: function toggleHelp(type) {
      this.$emit('toggle-help', type);
    }
  }
};

/* script */
const __vue_script__$6 = script$6;

/* template */
var __vue_render__$6 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('BaseCard',{scopedSlots:_vm._u([{key:"header",fn:function(){return [_c('div',{staticClass:"icon"},[_c('MDIcon',{staticClass:"icon-verified",attrs:{"icon":_vm.mdiFileDocument}})],1),_vm._v(" "),_c('div',{staticClass:"title"},[_c('div',{staticClass:"filename"},[_vm._v(_vm._s(_vm.verificationItem.name))])])]},proxy:true},(_vm.showExpertInfo && !_vm.isErrorOrNotFound)?{key:"body",fn:function(){return [_c('div',{staticClass:"verification-info expert"},[(_vm.verificationItem.hash)?_c('div',{staticClass:"verification-entry fingerprint"},[_c('span',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.fingerprint')))]),_vm._v(" "),_c('span',{staticClass:"value"},[_c('span',[_vm._v(_vm._s(_vm.verificationItem.hash))])])]):_vm._e(),_vm._v(" "),(_vm.registerEvents.length > 0 && _vm.registerEvents[0].issuerAddress)?_c('div',{staticClass:"verification-entry issuer-address"},[_c('span',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.issuerAddress')))]),_vm._v(" "),_c('span',{staticClass:"value"},[_c('span',[_vm._v(_vm._s(_vm.registerEvents[0].issuerAddress))])])]):_vm._e(),_vm._v(" "),(_vm.registerEvents.length > 0 && _vm.registerEvents[0].smartContractAddress)?_c('div',{staticClass:"verification-entry smart-contract-address"},[_c('span',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.smartContractAddress')))]),_vm._v(" "),_c('span',{staticClass:"value"},[_c('span',[_c('a',{attrs:{"href":("https://" + _vm.net + "/address/" + (_vm.registerEvents[0].smartContractAddress)),"target":"_blank"}},[_vm._v(_vm._s(_vm.registerEvents[0].smartContractAddress))])])])]):_vm._e(),_vm._v(" "),(_vm.registerEvents.length > 0 && _vm.verificationItem.status !== 'registering' && _vm.registerEvents[0].transactionHash)?_c('div',{staticClass:"verification-entry registration-hash"},[_c('span',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.registrationTransaction')))]),_vm._v(" "),_c('span',{staticClass:"value"},[_c('span',[_c('a',{attrs:{"href":("https://" + _vm.net + "/tx/" + (_vm.registerEvents[0].transactionHash)),"target":"_blank"}},[_vm._v(_vm._s(_vm.registerEvents[0].transactionHash))])])])]):_vm._e(),_vm._v(" "),(_vm.revokeEvents.length > 0 && _vm.verificationItem.status !== 'revoking' && _vm.revokeEvents[0].transactionHash)?_c('div',{staticClass:"verification-entry revocation-hash"},[_c('span',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.revocationTransaction')))]),_vm._v(" "),_c('span',{staticClass:"value"},[_c('span',[_c('a',{attrs:{"href":("https://" + _vm.net + "/tx/" + (_vm.revokeEvents[0].transactionHash)),"target":"_blank"}},[_vm._v(_vm._s(_vm.revokeEvents[0].transactionHash))])])])]):_vm._e()])]},proxy:true}:{key:"body",fn:function(){return [_c('ResultDetail',{attrs:{"verification-result":_vm.verificationItemType,"verification-in-progress":_vm.verificationItem.status && _vm.verificationItem.status === 'registering',"revocation-in-progress":_vm.verificationItem.status && _vm.verificationItem.status === 'revoking',"revocation-date":_vm.verificationItem.revoked ? _vm.revokeEvents[0].date : null}}),_vm._v(" "),_c('div',{staticClass:"verification-info"},[(_vm.isErrorOrNotFound)?_c('div',{staticClass:"verification-entry error"},[_c('p',{domProps:{"innerHTML":_vm._s(_vm._$t('verification.result.verification.' + _vm.verificationItemType + '.details'))}})]):_vm._e(),_vm._v(" "),(_vm.isErrorOrNotFound && _vm.verificationItem.hash)?_c('div',{staticClass:"verification-entry fingerprint"},[_c('span',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.fingerprint')))]),_vm._v(" "),_c('span',{staticClass:"value"},[_c('span',[_vm._v(_vm._s(_vm.verificationItem.hash))])])]):_vm._e(),_vm._v(" "),(!_vm.isErrorOrNotFound && _vm.registerEvents.length > 0)?_c('div',{staticClass:"verification-entry issuer"},[_c('span',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.issuer')))]),_vm._v(" "),_c('span',{staticClass:"value"},[_c('span',[_vm._v(_vm._s(_vm.registerEvents[0].issuer))])]),_vm._v(" "),(_vm.registerEvents.length > 0 && !_vm.verificationItem.issuerVerified)?_c('span',{staticClass:"footnote warning"},[_c('MDIcon',{attrs:{"icon":_vm.mdiAlertCircle}}),_vm._v(" "),_c('span',[_vm._v(_vm._s(_vm._$t('verification.result.verification.unverifiedIssuer.issuerFootnote')))])],1):_vm._e()]):_vm._e(),_vm._v(" "),(!_vm.isErrorOrNotFound && _vm.registerEvents.length > 0 && _vm.verificationItem.issuerVerified)?_c('div',{staticClass:"verification-entry verifier"},[_c('div',{staticClass:"verifier-name"},[_c('span',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.issuerVerifiedBy')))]),_vm._v(" "),(_vm.registerEvents[0].identityVerifier && _vm.registerEvents[0].identityVerifier.image)?_c('div',{staticClass:"verifier-image"},[_c('img',{attrs:{"src":(_vm.registerEvents[0].identityVerifier.image).split('.png')[0] + '_redesign.png',"alt":""}})]):_c('span',{staticClass:"value"},[_c('span',[_vm._v(_vm._s((_vm.registerEvents[0].identityVerifier && _vm.registerEvents[0].identityVerifier.name) ? _vm.registerEvents[0].identityVerifier.name : 'Certifaction AG'))])])])]):_vm._e(),_vm._v(" "),(!_vm.isErrorOrNotFound && _vm.registerEvents.length > 0 && _vm.verificationItem.status !== 'registering' && _vm.registerEvents[0].date)?_c('div',{staticClass:"verification-entry registration-date"},[_c('span',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.registrationDate')))]),_vm._v(" "),_c('span',{staticClass:"value"},[_vm._v(_vm._s(_vm.dateFormat(_vm.registerEvents[0].date)))])]):_vm._e(),_vm._v(" "),(!_vm.isErrorOrNotFound && _vm.revokeEvents.length > 0 && _vm.verificationItem.status !== 'revoking' && _vm.revokeEvents[0].date)?_c('div',{staticClass:"verification-entry revocation-date"},[_c('span',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.revocationDate')))]),_vm._v(" "),_c('span',{staticClass:"value"},[_vm._v(_vm._s(_vm.dateFormat(_vm.revokeEvents[0].date)))])]):_vm._e()])]},proxy:true},{key:"footer",fn:function(){return [_c('div',{staticClass:"left"},[(_vm.showExpertInfo)?_c('button',{staticClass:"btn secondary",on:{"click":function($event){_vm.showExpertInfo = !_vm.showExpertInfo;}}},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.card.btn.back')))])]):_vm._e()]),_vm._v(" "),_c('div',{staticClass:"right"},[(_vm.isErrorOrNotFound)?[_c('button',{staticClass:"btn primary",on:{"click":function($event){return _vm.toggleHelp('contact')}}},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.card.btn.support')))])]),_vm._v(" "),(_vm.verificationItemType === 'technicalProblem')?_c('button',{staticClass:"btn secondary",on:{"click":function($event){return _vm.toggleHelp('faq')}}},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.card.btn.questions')))])]):_vm._e()]:[(!_vm.showExpertInfo)?_c('button',{staticClass:"btn secondary",on:{"click":function($event){_vm.showExpertInfo = !_vm.showExpertInfo;}}},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.card.btn.expertInfo')))])]):_vm._e(),_vm._v(" "),_c('button',{staticClass:"btn secondary",on:{"click":function($event){return _vm.toggleHelp('faq')}}},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.card.btn.questions')))])])]],2)]},proxy:true}],null,true)})};
var __vue_staticRenderFns__$6 = [];

  /* style */
  const __vue_inject_styles__$6 = undefined;
  /* scoped */
  const __vue_scope_id__$6 = undefined;
  /* module identifier */
  const __vue_module_identifier__$6 = undefined;
  /* functional template */
  const __vue_is_functional_template__$6 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$6 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$6, staticRenderFns: __vue_staticRenderFns__$6 },
    __vue_inject_styles__$6,
    __vue_script__$6,
    __vue_scope_id__$6,
    __vue_is_functional_template__$6,
    __vue_module_identifier__$6,
    false,
    undefined,
    undefined,
    undefined
  );

var script$7 = {
  name: 'SigningCard',
  mixins: [i18nWrapperMixin, dateFormatter],
  components: {
    BaseCard: __vue_component__$4,
    ResultDetail: __vue_component__$5,
    MDIcon: __vue_component__
  },
  data: function data() {
    return {
      mdiShieldCheck: js.mdiShieldCheck,
      mdiFileDocument: js.mdiFileDocument,
      mdiAlertCircle: js.mdiAlertCircle,
      mdiCheckCircle: js.mdiCheckCircle,
      showExpertInfo: false
    };
  },
  props: {
    verificationItem: {
      type: Object,
      required: true
    },
    net: {
      type: String,
      required: true
    }
  },
  computed: {
    signEvents: function signEvents() {
      return this.verificationItem.events ? this.verificationItem.events.filter(function (event) {
        return event.scope === 'sign';
      }) : null;
    },
    revokeEvents: function revokeEvents() {
      return this.verificationItem.events ? this.verificationItem.events.filter(function (event) {
        return event.scope === 'revoke';
      }) : null;
    },
    verificationItemType: function verificationItemType() {
      if (this.verificationItem.hashed === undefined || this.verificationItem.hashed === false) {
        return 'ShadowItem';
      }

      if (this.verificationItem.offchainError && this.verificationItem.error) {
        return 'technicalProblem';
      }

      switch (this.verificationItem.type) {
        case verificationCore.VERIFICATION_TYPES.V_REVOKED:
          return 'revoked';

        case verificationCore.VERIFICATION_TYPES.V_NOT_FOUND:
          return 'notFound';

        case verificationCore.VERIFICATION_TYPES.V_SELF_DECLARED:
        case verificationCore.VERIFICATION_TYPES.V_VERIFIED:
          return 'signingComplete';
      }

      return 'technicalProblem';
    },
    isErrorOrNotFound: function isErrorOrNotFound() {
      return this.verificationItemType === 'notFound' || this.verificationItemType === 'technicalProblem';
    }
  },
  methods: {
    toggleHelp: function toggleHelp(type) {
      this.$emit('toggle-help', type);
    }
  }
};

/* script */
const __vue_script__$7 = script$7;

/* template */
var __vue_render__$7 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('BaseCard',{scopedSlots:_vm._u([{key:"header",fn:function(){return [_c('div',{staticClass:"icon"},[_c('MDIcon',{staticClass:"icon-verified",attrs:{"icon":_vm.mdiFileDocument}})],1),_vm._v(" "),_c('div',{staticClass:"title"},[_c('div',{staticClass:"filename"},[_vm._v(_vm._s(_vm.verificationItem.name))])])]},proxy:true},(_vm.showExpertInfo)?{key:"body",fn:function(){return [_c('div',{staticClass:"verification-info expert"},[(_vm.verificationItem.hash)?_c('div',{staticClass:"verification-entry fingerprint"},[_c('span',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.fingerprint')))]),_vm._v(" "),_c('span',{staticClass:"value"},[_c('span',[_vm._v(_vm._s(_vm.verificationItem.hash))])])]):_vm._e(),_vm._v(" "),(_vm.signEvents[0] > 0 && _vm.signEvents[0].issuerAddress)?_c('div',{staticClass:"verification-entry issuer-address"},[_c('span',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.issuerAddress')))]),_vm._v(" "),_c('span',{staticClass:"value"},[_c('span',[_vm._v(_vm._s(_vm.signEvents[0].issuerAddress))])])]):_vm._e(),_vm._v(" "),(_vm.signEvents.length > 0 && _vm.signEvents[0].smartContractAddress)?_c('div',{staticClass:"verification-entry smart-contract-address"},[_c('span',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.smartContractAddress')))]),_vm._v(" "),_c('span',{staticClass:"value"},[_c('span',[_c('a',{attrs:{"href":("https://" + _vm.net + "/address/" + (_vm.signEvents[0].smartContractAddress)),"target":"_blank"}},[_vm._v(_vm._s(_vm.signEvents[0].smartContractAddress))])])])]):_vm._e(),_vm._v(" "),(_vm.signEvents.length > 0 && _vm.verificationItem.status !== 'revoking' && _vm.signEvents[0].transactionHash)?_c('div',{staticClass:"verification-entry registration-hash"},[_c('span',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.registrationTransaction')))]),_vm._v(" "),_c('span',{staticClass:"value"},[_c('span',[_c('a',{attrs:{"href":("https://" + _vm.net + "/tx/" + (_vm.signEvents[0].transactionHash)),"target":"_blank"}},[_vm._v(_vm._s(_vm.signEvents[0].transactionHash))])])])]):_vm._e(),_vm._v(" "),(_vm.revokeEvents.length > 0 && _vm.verificationItem.status !== 'revoking' && _vm.revokeEvents[0].transactionHash)?_c('div',{staticClass:"verification-entry revocation-hash"},[_c('span',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.revocationTransaction')))]),_vm._v(" "),_c('span',{staticClass:"value"},[_c('span',[_c('a',{attrs:{"href":("https://" + _vm.net + "/tx/" + (_vm.revokeEvents[0].transactionHash)),"target":"_blank"}},[_vm._v(_vm._s(_vm.revokeEvents[0].transactionHash))])])])]):_vm._e(),_vm._v(" "),(_vm.signEvents.length > 0)?_c('div',{staticClass:"verification-entry signature-hashes"},[_c('span',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.signatureTransactions')))]),_vm._v(" "),_c('span',{staticClass:"value"},_vm._l((_vm.signEvents),function(signerEvent,index){return _c('span',{key:index,staticClass:"signature-hash"},[_c('span',[_vm._v(_vm._s(signerEvent.issuer))]),_vm._v(" "),(signerEvent.transactionHash)?_c('a',{attrs:{"href":("https://" + _vm.net + "/tx/" + (signerEvent.transactionHash)),"target":"_blank"}},[_vm._v(_vm._s(signerEvent.transactionHash))]):_vm._e()])}),0)]):_vm._e()])]},proxy:true}:{key:"body",fn:function(){return [_c('ResultDetail',{attrs:{"verification-result":_vm.verificationItemType,"verification-in-progress":_vm.verificationItem.status && _vm.verificationItem.status === 'registering',"revocation-in-progress":_vm.verificationItem.status && _vm.verificationItem.status === 'revoking',"revocation-date":_vm.verificationItem.revoked ? _vm.revokeEvents[0].date : null,"is-signing":true}}),_vm._v(" "),_c('div',{staticClass:"verification-info"},[(_vm.isErrorOrNotFound)?_c('div',{staticClass:"verification-entry error"},[_c('p',{domProps:{"innerHTML":_vm._s(_vm._$t('verification.result.signing.' + _vm.verificationItemType + '.details'))}})]):_vm._e(),_vm._v(" "),(_vm.isErrorOrNotFound && _vm.verificationItem.hash)?_c('div',{staticClass:"verification-entry fingerprint"},[_c('span',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.fingerprint')))]),_vm._v(" "),_c('span',{staticClass:"value"},[_c('span',[_vm._v(_vm._s(_vm.verificationItem.hash))])])]):_vm._e(),_vm._v(" "),(!_vm.isErrorOrNotFound && _vm.signEvents.length > 0)?_c('div',{staticClass:"verification-entry signers"},[_c('span',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.signers')))]),_vm._v(" "),_c('ul',{staticClass:"signers-list"},_vm._l((_vm.signEvents),function(signerEvent,index){return _c('li',{key:index,staticClass:"signer"},[_c('div',{staticClass:"left"},[_c('MDIcon',{staticClass:"signed",attrs:{"icon":_vm.mdiCheckCircle}})],1),_vm._v(" "),_c('div',{staticClass:"right"},[_c('span',{staticClass:"value"},[_c('span',[_vm._v(_vm._s(signerEvent.issuer))])]),_vm._v(" "),(signerEvent.date)?_c('span',{staticClass:"footnote"},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.result.signing.' + _vm.verificationItemType + '.signerFootnote.signed', {
                                            signingDate: _vm.dateFormat(signerEvent.date, {
                                                year: 'numeric',
                                                month: 'long',
                                                day: '2-digit'
                                            })
                                        })))])]):_vm._e()])])}),0)]):_vm._e(),_vm._v(" "),(!_vm.isErrorOrNotFound && _vm.signEvents.length > 0 && _vm.verificationItem.issuerVerified)?_c('div',{staticClass:"verification-entry verifier"},[_c('div',{staticClass:"verifier-name"},[_c('span',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.signersVerifiedBy')))]),_vm._v(" "),(_vm.signEvents[0].identityVerifier && _vm.signEvents[0].identityVerifier.image)?_c('div',{staticClass:"verifier-image"},[_c('img',{attrs:{"src":(_vm.signEvents[0].identityVerifier.image).split('.png')[0] + '_redesign.png',"alt":""}})]):_c('span',{staticClass:"value"},[_c('span',[_vm._v(_vm._s((_vm.signEvents[0].identityVerifier && _vm.signEvents[0].identityVerifier.name) ? _vm.signEvents[0].identityVerifier.name : 'Certifaction AG'))])])])]):_vm._e(),_vm._v(" "),(!_vm.isErrorOrNotFound && _vm.signEvents.length > 0 && _vm.verificationItem.status !== 'registering')?_c('div',{staticClass:"verification-entry registration-date"},[_c('span',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.registrationDate')))]),_vm._v(" "),_c('span',{staticClass:"value"},[_vm._v(_vm._s(_vm.dateFormat(_vm.signEvents[0].date)))])]):_vm._e(),_vm._v(" "),(_vm.revokeEvents.length > 0 && _vm.verificationItem.status !== 'revoking')?_c('div',{staticClass:"verification-entry revocation-date"},[_c('span',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.revocationDate')))]),_vm._v(" "),_c('span',{staticClass:"value"},[_vm._v(_vm._s(_vm.dateFormat(_vm.revokeEvents[0].date)))])]):_vm._e()])]},proxy:true},{key:"footer",fn:function(){return [_c('div',{staticClass:"left"},[(_vm.showExpertInfo)?_c('button',{staticClass:"btn secondary",on:{"click":function($event){_vm.showExpertInfo = !_vm.showExpertInfo;}}},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.card.btn.back')))])]):_vm._e()]),_vm._v(" "),_c('div',{staticClass:"right"},[(_vm.isErrorOrNotFound)?[_c('button',{staticClass:"btn primary",on:{"click":function($event){return _vm.toggleHelp('contact')}}},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.card.btn.support')))])]),_vm._v(" "),(_vm.verificationItemType === 'technicalProblem')?_c('button',{staticClass:"btn secondary",on:{"click":function($event){return _vm.toggleHelp('faq')}}},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.card.btn.questions')))])]):_vm._e()]:[(!_vm.showExpertInfo)?_c('button',{staticClass:"btn secondary",on:{"click":function($event){_vm.showExpertInfo = !_vm.showExpertInfo;}}},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.card.btn.expertInfo')))])]):_vm._e(),_vm._v(" "),_c('button',{staticClass:"btn secondary",on:{"click":function($event){return _vm.toggleHelp('faq')}}},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.card.btn.questions')))])])]],2)]},proxy:true}],null,true)})};
var __vue_staticRenderFns__$7 = [];

  /* style */
  const __vue_inject_styles__$7 = undefined;
  /* scoped */
  const __vue_scope_id__$7 = undefined;
  /* module identifier */
  const __vue_module_identifier__$7 = undefined;
  /* functional template */
  const __vue_is_functional_template__$7 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$7 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$7, staticRenderFns: __vue_staticRenderFns__$7 },
    __vue_inject_styles__$7,
    __vue_script__$7,
    __vue_scope_id__$7,
    __vue_is_functional_template__$7,
    __vue_module_identifier__$7,
    false,
    undefined,
    undefined,
    undefined
  );

var script$8 = {
  name: 'ShadowItem'
};

/* script */
const __vue_script__$8 = script$8;

/* template */
var __vue_render__$8 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _vm._m(0)};
var __vue_staticRenderFns__$8 = [function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"base-card verification-shadow-card"},[_c('div',{staticClass:"lines"},[_c('div',{staticClass:"line short"}),_vm._v(" "),_c('div',{staticClass:"divider"}),_vm._v(" "),_c('div',{staticClass:"line medium"}),_vm._v(" "),_c('div',{staticClass:"line long"}),_vm._v(" "),_c('div',{staticClass:"line long"}),_vm._v(" "),_c('div',{staticClass:"line short"}),_vm._v(" "),_c('div',{staticClass:"line medium"})])])}];

  /* style */
  const __vue_inject_styles__$8 = undefined;
  /* scoped */
  const __vue_scope_id__$8 = undefined;
  /* module identifier */
  const __vue_module_identifier__$8 = undefined;
  /* functional template */
  const __vue_is_functional_template__$8 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$8 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$8, staticRenderFns: __vue_staticRenderFns__$8 },
    __vue_inject_styles__$8,
    __vue_script__$8,
    __vue_scope_id__$8,
    __vue_is_functional_template__$8,
    __vue_module_identifier__$8,
    false,
    undefined,
    undefined,
    undefined
  );

var script$9 = {
  name: 'FaqCard',
  mixins: [i18nWrapperMixin],
  components: {
    BaseCard: __vue_component__$4,
    MDIcon: __vue_component__
  },
  data: function data() {
    return {
      mdiChevronDown: js.mdiChevronDown,
      openItems: []
    };
  },
  methods: {
    toggleHelp: function toggleHelp(type) {
      this.$emit('toggle-help', type);
    },
    toggleItem: function toggleItem(index) {
      if (!this.isItemOpen(index)) {
        this.openItems.push(index);
      } else {
        this.openItems = this.openItems.filter(function (item) {
          return item !== index;
        });
      }
    },
    isItemOpen: function isItemOpen(index) {
      return this.openItems.indexOf(index) >= 0;
    },
    onEnterTransition: function onEnterTransition(el) {
      el.style.height = 'auto';
      var height = window.getComputedStyle(el).height;
      el.style.height = 0;
      window.getComputedStyle(el);
      window.setTimeout(function () {
        el.style.height = height;
      });
    },
    onAfterEnterTransition: function onAfterEnterTransition(el) {
      el.style.height = 'auto';
    },
    onLeaveTransition: function onLeaveTransition(el) {
      el.style.height = window.getComputedStyle(el).height;
      window.getComputedStyle(el);
      window.setTimeout(function () {
        el.style.height = 0;
      });
    }
  }
};

/* script */
const __vue_script__$9 = script$9;

/* template */
var __vue_render__$9 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('BaseCard',{staticClass:"help-card",scopedSlots:_vm._u([{key:"header",fn:function(){return [_c('div',{staticClass:"title"},[_c('span',{staticClass:"help-card-title"},[_vm._v(_vm._s(_vm._$t('verification.card.faq.title')))])])]},proxy:true},{key:"body",fn:function(){return [_c('div',{staticClass:"faq-items accordion"},_vm._l((_vm._$t('verification.card.faq.items', { returnObjects: true })),function(item,index){return _c('div',{key:index,staticClass:"item",class:{ open: _vm.isItemOpen(index) }},[_c('div',{staticClass:"item-title",on:{"click":function($event){return _vm.toggleItem(index)}}},[_c('span',[_vm._v(_vm._s(item.title))]),_vm._v(" "),_c('MDIcon',{staticClass:"chevron",attrs:{"icon":_vm.mdiChevronDown}})],1),_vm._v(" "),_c('transition',{attrs:{"name":"collapse"},on:{"enter":_vm.onEnterTransition,"after-enter":_vm.onAfterEnterTransition,"leave":_vm.onLeaveTransition}},[(_vm.isItemOpen(index))?_c('div',{staticClass:"content"},[_c('div',{staticClass:"inside",domProps:{"innerHTML":_vm._s(item.content)}})]):_vm._e()])],1)}),0)]},proxy:true},{key:"footer",fn:function(){return [_c('div',{staticClass:"left"},[_c('button',{staticClass:"btn secondary",on:{"click":function($event){return _vm.toggleHelp('faq')}}},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.card.btn.back')))])])]),_vm._v(" "),_c('div',{staticClass:"right"},[_c('button',{staticClass:"btn primary",on:{"click":function($event){return _vm.toggleHelp('contact')}}},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.card.btn.support')))])])])]},proxy:true}])})};
var __vue_staticRenderFns__$9 = [];

  /* style */
  const __vue_inject_styles__$9 = undefined;
  /* scoped */
  const __vue_scope_id__$9 = undefined;
  /* module identifier */
  const __vue_module_identifier__$9 = undefined;
  /* functional template */
  const __vue_is_functional_template__$9 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$9 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$9, staticRenderFns: __vue_staticRenderFns__$9 },
    __vue_inject_styles__$9,
    __vue_script__$9,
    __vue_scope_id__$9,
    __vue_is_functional_template__$9,
    __vue_module_identifier__$9,
    false,
    undefined,
    undefined,
    undefined
  );

var script$a = {
  name: 'ContactCard',
  mixins: [i18nWrapperMixin],
  components: {
    BaseCard: __vue_component__$4
  },
  props: {
    certifactionApiUrl: {
      type: String,
      required: true
    }
  },
  data: function data() {
    return {
      contactFormSubmitting: false,
      contactFormSuccessful: false,
      contactFormFailed: false,
      reactiveValidation: false,
      email: null,
      question: null,
      consentAccepted: false,
      errors: {
        email: false,
        question: false,
        consent: false
      }
    };
  },
  watch: {
    email: function email() {
      if (this.reactiveValidation) {
        this.validate();
      }
    },
    question: function question() {
      if (this.reactiveValidation) {
        this.validate();
      }
    },
    consentAccepted: function consentAccepted() {
      if (this.reactiveValidation) {
        this.validate();
      }
    }
  },
  methods: {
    toggleHelp: function toggleHelp(type) {
      this.$emit('toggle-help', type);
    },
    checkForm: function checkForm(e) {
      e.preventDefault();
      this.reactiveValidation = true;
      this.contactFormSuccessful = this.contactFormFailed = false;

      if (this.validate()) {
        this.postForm();
      }
    },
    validate: function validate() {
      var emailRegex = /^[a-zA-Z0-9.!#$%&’*+/=?^_`{|}~-]+@[a-zA-Z0-9-]+(?:\.[a-zA-Z0-9-]+)*$/;
      this.errors.email = this.errors.question = this.errors.consent = false;

      if (!this.email || !!this.email && !emailRegex.test(this.email)) {
        this.errors.email = true;
      }

      if (!this.question) {
        this.errors.question = true;
      }

      if (!this.consentAccepted) {
        this.errors.consent = true;
      }

      return !(this.errors.email || this.errors.question || this.errors.consent);
    },
    postForm: function postForm() {
      var _this = this;

      return _asyncToGenerator(regeneratorRuntime.mark(function _callee() {
        return regeneratorRuntime.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                _this.contactFormSubmitting = true;
                _context.prev = 1;
                _context.next = 4;
                return axios__default['default'].post("".concat(_this.certifactionApiUrl, "support/request"), {
                  origin: 'Verification Tool',
                  contact_email: _this.email,
                  subject: 'Support request',
                  body: _this.question
                });

              case 4:
                _this.contactFormSuccessful = true;
                _this.email = _this.question = null;
                _this.consentAccepted = false;
                _context.next = 13;
                break;

              case 9:
                _context.prev = 9;
                _context.t0 = _context["catch"](1);
                console.log('postForm() catch()', _context.t0, _context.t0.response.data);
                _this.contactFormFailed = true;

              case 13:
                _this.contactFormSubmitting = _this.reactiveValidation = false;

              case 14:
              case "end":
                return _context.stop();
            }
          }
        }, _callee, null, [[1, 9]]);
      }))();
    }
  }
};

/* script */
const __vue_script__$a = script$a;
var __vue_render__$a = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('BaseCard',{staticClass:"help-card",scopedSlots:_vm._u([{key:"header",fn:function(){return [_c('div',{staticClass:"title"},[_c('span',{staticClass:"help-card-title"},[_vm._v(_vm._s(_vm._$t('verification.card.contact.title')))])])]},proxy:true},{key:"body",fn:function(){return [_c('form',{attrs:{"id":"contact-form","method":"POST"},on:{"submit":_vm.checkForm}},[_c('div',{staticClass:"email-field",class:{error: _vm.errors.email}},[_c('label',{attrs:{"for":"email"}},[_vm._v(_vm._s(_vm._$t('verification.card.contact.form.email')))]),_vm._v(" "),_c('input',{directives:[{name:"model",rawName:"v-model",value:(_vm.email),expression:"email"}],attrs:{"id":"email","type":"email","name":"email"},domProps:{"value":(_vm.email)},on:{"input":function($event){if($event.target.composing){ return; }_vm.email=$event.target.value;}}})]),_vm._v(" "),_c('div',{staticClass:"question-field",class:{error: _vm.errors.question}},[_c('label',{attrs:{"for":"question"}},[_vm._v(_vm._s(_vm._$t('verification.card.contact.form.question')))]),_vm._v(" "),_c('textarea',{directives:[{name:"model",rawName:"v-model",value:(_vm.question),expression:"question"}],attrs:{"id":"question","name":"question"},domProps:{"value":(_vm.question)},on:{"input":function($event){if($event.target.composing){ return; }_vm.question=$event.target.value;}}})]),_vm._v(" "),_c('div',{staticClass:"consent-field",class:{error: _vm.errors.consent}},[_c('label',{staticClass:"switch"},[_c('input',{directives:[{name:"model",rawName:"v-model",value:(_vm.consentAccepted),expression:"consentAccepted"}],attrs:{"id":"consent","type":"checkbox"},domProps:{"checked":Array.isArray(_vm.consentAccepted)?_vm._i(_vm.consentAccepted,null)>-1:(_vm.consentAccepted)},on:{"change":function($event){var $$a=_vm.consentAccepted,$$el=$event.target,$$c=$$el.checked?(true):(false);if(Array.isArray($$a)){var $$v=null,$$i=_vm._i($$a,$$v);if($$el.checked){$$i<0&&(_vm.consentAccepted=$$a.concat([$$v]));}else {$$i>-1&&(_vm.consentAccepted=$$a.slice(0,$$i).concat($$a.slice($$i+1)));}}else {_vm.consentAccepted=$$c;}}}}),_vm._v(" "),_c('span',{staticClass:"slider round"})]),_vm._v(" "),_c('label',{staticClass:"consent",attrs:{"for":"consent"},domProps:{"innerHTML":_vm._s(_vm._$t('verification.card.contact.form.consent'))}})]),_vm._v(" "),(_vm.contactFormSuccessful)?_c('span',{staticClass:"message-sent success"},[_vm._v(_vm._s(_vm._$t('verification.card.contact.form.submitted')))]):_vm._e(),_vm._v(" "),(_vm.contactFormFailed)?_c('span',{staticClass:"message-sent failed"},[_vm._v(_vm._s(_vm._$t('verification.card.contact.form.failed')))]):_vm._e()])]},proxy:true},{key:"footer",fn:function(){return [_c('div',{staticClass:"left"},[_c('button',{staticClass:"btn secondary",on:{"click":function($event){return _vm.toggleHelp('contact')}}},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.card.btn.back')))])])]),_vm._v(" "),_c('div',{staticClass:"right"},[_c('button',{staticClass:"btn primary",attrs:{"type":"submit","form":"contact-form","disabled":_vm.contactFormSubmitting}},[(_vm.contactFormSubmitting)?_c('img',{staticClass:"loading-spinner",attrs:{"src":img$4,"alt":"Spinner"}}):_c('span',[_vm._v(_vm._s(_vm._$t('verification.card.contact.form.submit')))])])])]},proxy:true}])})};
var __vue_staticRenderFns__$a = [];

  /* style */
  const __vue_inject_styles__$a = undefined;
  /* scoped */
  const __vue_scope_id__$a = undefined;
  /* module identifier */
  const __vue_module_identifier__$a = undefined;
  /* functional template */
  const __vue_is_functional_template__$a = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$a = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$a, staticRenderFns: __vue_staticRenderFns__$a },
    __vue_inject_styles__$a,
    __vue_script__$a,
    __vue_scope_id__$a,
    __vue_is_functional_template__$a,
    __vue_module_identifier__$a,
    false,
    undefined,
    undefined,
    undefined
  );

var script$b = {
  name: 'FileConfirmationCard',
  mixins: [i18nWrapperMixin],
  components: {
    MDIcon: __vue_component__,
    BaseCard: __vue_component__$4
  },
  props: {
    fileName: {
      type: String,
      required: true
    }
  },
  data: function data() {
    return {
      mdiCheckCircle: js.mdiCheckCircle,
      mdiCloseCircle: js.mdiCloseCircle,
      mdiFileDocument: js.mdiFileDocument
    };
  },
  methods: {
    approveOrDecline: function approveOrDecline(approved) {
      this.$emit('approve-or-decline', approved);
    }
  }
};

/* script */
const __vue_script__$b = script$b;

/* template */
var __vue_render__$b = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('BaseCard',{staticClass:"file-confirmation-card",scopedSlots:_vm._u([{key:"header",fn:function(){return [_c('div',{staticClass:"icon"},[_c('MDIcon',{staticClass:"icon-verified",attrs:{"icon":_vm.mdiFileDocument}})],1),_vm._v(" "),_c('div',{staticClass:"title"},[_c('div',{staticClass:"filename"},[_vm._v(_vm._s(_vm.fileName))])])]},proxy:true},{key:"body",fn:function(){return [_c('div',{staticClass:"action-box confirmation mobile"},[_c('div',{staticClass:"text"},[_c('h4',[_vm._v(_vm._s(_vm._$t('verification.digitalTwin.actionBox.confirmation.title.mobile')))]),_vm._v(" "),_c('p',[_vm._v(_vm._s(_vm._$t('verification.digitalTwin.actionBox.confirmation.copy.mobile')))])]),_vm._v(" "),_c('div',{staticClass:"actions"},[_c('div',{staticClass:"confirmation-action",on:{"click":function($event){return _vm.approveOrDecline(true)}}},[_c('MDIcon',{attrs:{"icon":_vm.mdiCheckCircle}})],1),_vm._v(" "),_c('div',{staticClass:"confirmation-action",on:{"click":function($event){return _vm.approveOrDecline(false)}}},[_c('MDIcon',{attrs:{"icon":_vm.mdiCloseCircle}})],1)])]),_vm._v(" "),_c('div',{staticClass:"action-box confirmation"},[_c('div',{staticClass:"text"},[_c('h4',[_vm._v(_vm._s(_vm._$t('verification.digitalTwin.actionBox.confirmation.title.desktop')))]),_vm._v(" "),_c('p',[_vm._v(_vm._s(_vm._$t('verification.digitalTwin.actionBox.confirmation.copy.desktop')))])]),_vm._v(" "),_c('div',{staticClass:"actions"},[_c('button',{staticClass:"btn light",on:{"click":function($event){return _vm.approveOrDecline(false)}}},[_c('MDIcon',{attrs:{"icon":_vm.mdiCloseCircle}}),_vm._v("\n                    "+_vm._s(_vm._$t('verification.digitalTwin.actionBox.confirmation.btn.decline'))+"\n                ")],1),_vm._v(" "),_c('button',{staticClass:"btn light",on:{"click":function($event){return _vm.approveOrDecline(true)}}},[_c('MDIcon',{attrs:{"icon":_vm.mdiCheckCircle}}),_vm._v("\n                    "+_vm._s(_vm._$t('verification.digitalTwin.actionBox.confirmation.btn.approve'))+"\n                ")],1)])])]},proxy:true}])})};
var __vue_staticRenderFns__$b = [];

  /* style */
  const __vue_inject_styles__$b = undefined;
  /* scoped */
  const __vue_scope_id__$b = undefined;
  /* module identifier */
  const __vue_module_identifier__$b = undefined;
  /* functional template */
  const __vue_is_functional_template__$b = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$b = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$b, staticRenderFns: __vue_staticRenderFns__$b },
    __vue_inject_styles__$b,
    __vue_script__$b,
    __vue_scope_id__$b,
    __vue_is_functional_template__$b,
    __vue_module_identifier__$b,
    false,
    undefined,
    undefined,
    undefined
  );

var script$c = {
  name: 'FileDeclinedCard',
  mixins: [i18nWrapperMixin],
  components: {
    MDIcon: __vue_component__,
    BaseCard: __vue_component__$4
  },
  props: {
    fileName: {
      type: String,
      required: true
    }
  },
  data: function data() {
    return {
      mdiFileDocument: js.mdiFileDocument
    };
  }
};

/* script */
const __vue_script__$c = script$c;

/* template */
var __vue_render__$c = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('BaseCard',{staticClass:"file-declined-card",scopedSlots:_vm._u([{key:"header",fn:function(){return [_c('div',{staticClass:"icon"},[_c('MDIcon',{staticClass:"icon-verified",attrs:{"icon":_vm.mdiFileDocument}})],1),_vm._v(" "),_c('div',{staticClass:"title"},[_c('div',{staticClass:"filename"},[_vm._v(_vm._s(_vm.fileName))])])]},proxy:true},{key:"body",fn:function(){return [_c('h3',[_vm._v(_vm._s(_vm._$t('verification.digitalTwin.fileDeclined.title')))]),_vm._v(" "),_c('p',{domProps:{"innerHTML":_vm._s(_vm._$t('verification.digitalTwin.fileDeclined.copy'))}})]},proxy:true}])})};
var __vue_staticRenderFns__$c = [];

  /* style */
  const __vue_inject_styles__$c = undefined;
  /* scoped */
  const __vue_scope_id__$c = undefined;
  /* module identifier */
  const __vue_module_identifier__$c = undefined;
  /* functional template */
  const __vue_is_functional_template__$c = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$c = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$c, staticRenderFns: __vue_staticRenderFns__$c },
    __vue_inject_styles__$c,
    __vue_script__$c,
    __vue_scope_id__$c,
    __vue_is_functional_template__$c,
    __vue_module_identifier__$c,
    false,
    undefined,
    undefined,
    undefined
  );

var script$d = {
  name: 'FileErrorCard',
  mixins: [i18nWrapperMixin],
  components: {
    BaseCard: __vue_component__$4
  },
  methods: {
    toggleHelp: function toggleHelp(type) {
      this.$emit('toggle-help', type);
    }
  }
};

const img$5 = "data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='142' height='168' viewBox='0 0 142 168' fill='none' xmlns:v='https://vecta.io/nano'%3e%3cg filter='url(%23A)'%3e%3cpath transform='translate(12 10)' fill='white' d='M0 0h100v138H0z'/%3e%3cpath fill-rule='evenodd' d='M23.25 22.545c-.69 0-1.25.562-1.25 1.255s.56 1.255 1.25 1.255H52c.69 0 1.25-.562 1.25-1.255s-.56-1.255-1.25-1.255H23.25zm0 7.527c-.69 0-1.25.562-1.25 1.255s.56 1.255 1.25 1.255H52c.69 0 1.25-.562 1.25-1.255s-.56-1.255-1.25-1.255H23.25zM22 51.4c0-.693.56-1.255 1.25-1.255h77.5c.69 0 1.25.562 1.25 1.255s-.56 1.255-1.25 1.255h-77.5c-.69 0-1.25-.562-1.25-1.255zm1.25 6.273c-.69 0-1.25.562-1.25 1.255s.56 1.255 1.25 1.255h77.5c.69 0 1.25-.562 1.25-1.255s-.56-1.255-1.25-1.255h-77.5zM22 66.455c0-.693.56-1.254 1.25-1.254h77.5c.69 0 1.25.562 1.25 1.254s-.56 1.255-1.25 1.255h-77.5c-.69 0-1.25-.562-1.25-1.255zm1.25 6.273c-.69 0-1.25.562-1.25 1.255s.56 1.254 1.25 1.254h77.5c.69 0 1.25-.562 1.25-1.254s-.56-1.255-1.25-1.255h-77.5zM22 81.509c0-.693.56-1.255 1.25-1.255h77.5c.69 0 1.25.562 1.25 1.255s-.56 1.255-1.25 1.255h-77.5c-.69 0-1.25-.562-1.25-1.255zm1.25 6.273c-.69 0-1.25.562-1.25 1.254s.56 1.255 1.25 1.255h35c.69 0 1.25-.562 1.25-1.255s-.56-1.254-1.25-1.254h-35zM22 136.709a1.25 1.25 0 0 1 1.25-1.254H52a1.25 1.25 0 0 1 1.25 1.254c0 .693-.56 1.255-1.25 1.255H23.25c-.69 0-1.25-.562-1.25-1.255zm50.625-1.254a1.25 1.25 0 0 0-1.25 1.254c0 .693.56 1.255 1.25 1.255h28.125c.69 0 1.25-.562 1.25-1.255s-.56-1.254-1.25-1.254H72.625z' fill='%2314213d' fill-opacity='.5'/%3e%3c/g%3e%3cpath fill-rule='evenodd' d='M92 138c0-11.046 8.954-20 20-20 11.04.013 19.987 8.96 20 20 0 11.046-8.954 20-20 20s-20-8.954-20-20zm29.604 8.414c.153-.583-.021-1.202-.454-1.621l-6.5-6.498c-.078-.078-.122-.184-.122-.294s.044-.216.122-.294l6.5-6.5c.45-.414.638-1.042.488-1.635a1.67 1.67 0 0 0-1.206-1.208c-.593-.15-1.221.036-1.635.486l-6.5 6.5a.42.42 0 0 1-.295.122c-.111 0-.217-.044-.295-.122l-6.5-6.5a1.67 1.67 0 0 0-2.358-.003c-.652.651-.653 1.706-.002 2.358l6.5 6.5c.078.078.122.184.122.294s-.044.216-.122.294l-6.5 6.5c-.651.651-.651 1.706 0 2.357.655.64 1.701.64 2.356 0l6.5-6.5a.42.42 0 0 1 .59 0l6.5 6.5c.419.433 1.038.607 1.621.454s1.038-.607 1.19-1.19z' fill='%23ee4266'/%3e%3cdefs%3e%3cfilter id='A' x='0' y='0' width='124' height='162' filterUnits='userSpaceOnUse' color-interpolation-filters='sRGB'%3e%3cfeFlood flood-opacity='0' result='A'/%3e%3cfeColorMatrix in='SourceAlpha' values='0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0'/%3e%3cfeOffset dy='1'/%3e%3cfeGaussianBlur stdDeviation='2'/%3e%3cfeColorMatrix values='0 0 0 0 0.12549 0 0 0 0 0.2 0 0 0 0 0.27451 0 0 0 0.04 0'/%3e%3cfeBlend in2='A' result='B'/%3e%3cfeColorMatrix in='SourceAlpha' values='0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0'/%3e%3cfeOffset dy='2'/%3e%3cfeGaussianBlur stdDeviation='6'/%3e%3cfeColorMatrix values='0 0 0 0 0.12549 0 0 0 0 0.2 0 0 0 0 0.27451 0 0 0 0.09 0'/%3e%3cfeBlend in2='B'/%3e%3cfeBlend in='SourceGraphic'/%3e%3c/filter%3e%3c/defs%3e%3c/svg%3e";

/* script */
const __vue_script__$d = script$d;
var __vue_render__$d = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('BaseCard',{staticClass:"file-error-card",scopedSlots:_vm._u([{key:"body",fn:function(){return [_c('img',{attrs:{"src":img$5,"alt":"DigitalTwin Error"}}),_vm._v(" "),_c('div',{staticClass:"error-message"},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.digitalTwin.error.decryption')))])]),_vm._v(" "),_c('button',{staticClass:"btn primary",on:{"click":function($event){return _vm.toggleHelp('contact')}}},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.digitalTwin.error.btn.contactSupport')))])])]},proxy:true}])})};
var __vue_staticRenderFns__$d = [];

  /* style */
  const __vue_inject_styles__$d = undefined;
  /* scoped */
  const __vue_scope_id__$d = undefined;
  /* module identifier */
  const __vue_module_identifier__$d = undefined;
  /* functional template */
  const __vue_is_functional_template__$d = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$d = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$d, staticRenderFns: __vue_staticRenderFns__$d },
    __vue_inject_styles__$d,
    __vue_script__$d,
    __vue_scope_id__$d,
    __vue_is_functional_template__$d,
    __vue_module_identifier__$d,
    false,
    undefined,
    undefined,
    undefined
  );

var script$e = {
  name: 'VerificationItem',
  components: {
    VerificationCard: __vue_component__$6,
    SigningCard: __vue_component__$7,
    ShadowCard: __vue_component__$8,
    FaqCard: __vue_component__$9,
    ContactCard: __vue_component__$a,
    FileConfirmationCard: __vue_component__$b,
    FileDeclinedCard: __vue_component__$c,
    FileErrorCard: __vue_component__$d
  },
  data: function data() {
    return {
      showFaq: false,
      showContact: false,
      confirmationStep: true,
      digitalTwin: {
        confirmationStep: true,
        fileApproved: false
      }
    };
  },
  props: {
    verificationItem: {
      type: Object,
      required: true
    },
    verifierInformation: {
      type: Object,
      required: true
    },
    digitalTwinInformation: {
      type: Object,
      required: false
    }
  },
  computed: {
    isLoading: function isLoading() {
      return this.verificationItem.hashed === undefined || this.verificationItem.hashed === false;
    },
    isSigning: function isSigning() {
      return this.verificationItem.events ? this.verificationItem.events.filter(function (event) {
        return event.scope === 'sign';
      }).length !== 0 : false;
    }
  },
  methods: {
    toggleHelp: function toggleHelp(type) {
      switch (type) {
        case 'faq':
          this.showContact = false;
          this.showFaq = !this.showFaq;
          break;

        case 'contact':
          this.showFaq = false;
          this.showContact = !this.showContact;
      }
    },
    digitalTwinApproveOrDecline: function digitalTwinApproveOrDecline(approved) {
      this.digitalTwin.confirmationStep = false;
      this.digitalTwin.fileApproved = approved;
    },
    digitalTwinRecheck: function digitalTwinRecheck() {
      this.digitalTwin.confirmationStep = true;
      this.digitalTwin.fileApproved = false;
      this.showFaq = false;
      this.showContact = false;
    }
  }
};

const img$6 = "data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='632.421' height='103.961' viewBox='0 0 632.421 103.961' fill='%23203346'%3e%3cpath d='M0 21.02L21.02.167 42.04 21.02 21.02 41.87zm83.226 0L104.245.167l21.02 20.852-21.02 20.852z'/%3e%3cpath d='M20.805 41.66l21.02-20.852 21.02 20.852-21.02 20.852z'/%3e%3cpath d='M62.42 41.66l21.02-20.852 21.02 20.852L83.44 62.5zM0 62.3l21.02-20.85L42.038 62.3 21.02 83.153z'/%3e%3cpath d='M20.805 82.943h42.038l-21.02 20.852z'/%3e%3cpath d='M62.632 82.733l21.02 20.852z'/%3e%3cpath d='M20.805 82.943l21.02-20.852 21.02 20.852z' opacity='.5'/%3e%3cpath d='M62.42 82.943L83.44 62.09l21.02 20.852z' opacity='.5'/%3e%3cpath d='M62.42 82.943h42.038l-21.02 20.852z'/%3e%3cpath d='M83.226 62.3l21.02-20.852 21.02 20.852-21.02 20.852zM212.98 76.812c-1.314 4.777-4.3 8.918-8.435 11.66a26 26 0 0 1-14.494 3.937 27.67 27.67 0 0 1-13.839-3.33 22.25 22.25 0 0 1-9.048-9.545 32.22 32.22 0 0 1-3.154-14.747 32.22 32.22 0 0 1 3.153-14.745c1.98-4.012 5.117-7.338 9.008-9.545a27.26 27.26 0 0 1 13.716-3.332c4.992-.158 9.933 1.05 14.3 3.493 3.903 2.327 6.783 6.04 8.066 10.4l-10.235 4.306q-1.3-4.793-4.094-6.906a12.18 12.18 0 0 0-7.534-2.112q-6.88 0-10.766 4.793-3.887 4.793-3.893 13.648 0 8.855 3.767 13.648 3.767 4.793 10.644 4.794 9.907 0 12.447-9.5zm46.76-5.7a28.6 28.6 0 0 1-.328 4.387h-28.988q1.718 8.613 10.236 8.613a11.66 11.66 0 0 0 5.814-1.3 6.95 6.95 0 0 0 3.194-3.737l9.172 3.33c-1.248 3.18-3.584 5.814-6.592 7.433a23.73 23.73 0 0 1-11.587 2.557q-10.154 0-15.723-5.567-5.57-5.567-5.57-15.55 0-9.992 5.4-15.557 5.4-5.565 15.233-5.568 9.5 0 14.617 5.443 5.117 5.443 5.12 15.516zm-19.817-12.75c-2.4-.123-4.745.727-6.5 2.356-1.773 1.923-2.853 4.382-3.07 6.988h19.08a11.72 11.72 0 0 0-3.112-6.944 8.76 8.76 0 0 0-6.387-2.4zm52.4-8.206c1.526-.084 3.048.224 4.422.893l-1.392 9.747c-1.568-.9-3.358-1.314-5.16-1.218a9.49 9.49 0 0 0-6.92 2.884q-2.907 2.884-2.907 8.083v21.043h-11.22v-40.62h9.745l.74 7.96q3.354-8.773 12.7-8.773zm37.915 38.915a14.81 14.81 0 0 1-4.954 2.437c-2.034.6-4.144.902-6.265.893q-13.674 0-13.674-12.267v-20.88H297.9v-8.287h7.454v-9.342l11.22-3.087v12.43h13.266v8.287h-13.267v19.1q0 5.605 5.65 5.605c2.306.033 4.546-.775 6.3-2.273zm12.693-43.958q-6.96 0-6.96-5.93 0-6.012 6.96-6.012 6.96 0 6.96 6.012 0 5.93-6.96 5.93zm5.57 46.47H337.3v-40.62h11.22zm25.55-40.62H387v8.287h-12.45v32.333h-11.218V59.265h-7.124v-8.287h7.124v-4.874q0-6.662 4.176-10.2 4.176-3.538 11.3-3.534c1.668-.016 3.332.175 4.954.568a10.1 10.1 0 0 1 3.562 1.544l-1.556 7.393a8.42 8.42 0 0 0-4.668-1.218q-7.044 0-7.044 6.256zm55.52 33.877a9.79 9.79 0 0 0 2.784-.325l-.82 6.746a11.82 11.82 0 0 1-5.326 1.136q-7.858 0-9.414-6.094a11.16 11.16 0 0 1-5.566 4.553c-2.847 1.1-5.88 1.614-8.928 1.544q-5.978 0-9.334-2.68a9.3 9.3 0 0 1-3.357-7.718q0-9.912 15.97-12.836l9.827-1.868v-1.954c.1-1.897-.564-3.754-1.842-5.16a6.78 6.78 0 0 0-5.118-1.91c-2.165-.095-4.307.472-6.142 1.625-1.715 1.287-2.885 3.172-3.276 5.28l-8.93-3.737a13.47 13.47 0 0 1 5.9-8.287q4.586-3.006 11.956-3.006 8.762 0 13.676 3.778 4.914 3.778 4.913 11.17v16.656c-.078.852.188 1.7.737 2.356.637.537 1.462.8 2.292.73zm-23.748 0a12.83 12.83 0 0 0 6.592-1.747 5.32 5.32 0 0 0 2.99-4.752v-4.224l-8.762 1.95a10.35 10.35 0 0 0-4.135 1.747 3.7 3.7 0 0 0-1.35 3.047c-.074 1.126.38 2.222 1.228 2.965a5.21 5.21 0 0 0 3.44 1.015zm51.918-34.7q8.107 0 12.6 3.25c2.97 2.12 5.135 5.184 6.142 8.692l-10.48 3.737q-1.474-7.393-7.943-7.393a8.86 8.86 0 0 0-7.411 3.29q-2.58 3.3-2.577 9.623.002 6.333 2.62 9.545a8.9 8.9 0 0 0 7.288 3.22q7.206 0 8.517-7.23l10.154 3.25a14.6 14.6 0 0 1-6.106 8.938q-4.8 3.33-12.407 3.33-10.154 0-15.723-5.567-5.57-5.567-5.57-15.554 0-9.992 5.527-15.557 5.527-5.565 15.357-5.563zm55.93 38.915a14.81 14.81 0 0 1-4.949 2.446 21.81 21.81 0 0 1-6.264.893q-13.676 0-13.676-12.267v-20.88h-7.46V50.98h7.452v-9.34l11.22-3.087v12.43h13.266v8.287h-13.264v19.1q0 5.605 5.65 5.605c2.306.033 4.546-.775 6.3-2.273zm12.693-43.954q-6.96 0-6.96-5.928 0-6.012 6.96-6.012 6.96 0 6.96 6.012 0 5.93-6.963 5.93zm5.568 46.47h-11.22V50.96h11.22zm30.708-41.42q9.907 0 15.437 5.605 5.53 5.605 5.528 15.517 0 9.912-5.528 15.517-5.528 5.605-15.437 5.605-9.907 0-15.436-5.605-5.53-5.605-5.523-15.517 0-9.912 5.528-15.517 5.528-5.605 15.43-5.605zm0 8.287a8.63 8.63 0 0 0-7.247 3.208q-2.5 3.208-2.5 9.623 0 6.415 2.5 9.623a8.64 8.64 0 0 0 7.245 3.209 8.63 8.63 0 0 0 7.248-3.209q2.5-3.2 2.5-9.623 0-6.414-2.5-9.623a8.64 8.64 0 0 0-7.246-3.204zm55.032-8.287q6.633 0 10.686 3.818 4.053 3.818 4.054 10.964v26.65h-11.22v-23.4q0-9.26-7.288-9.26a9.05 9.05 0 0 0-6.674 2.762q-2.743 2.762-2.743 8.45V91.59h-11.22V50.97h10.072l.328 7.23c1.24-2.523 3.2-4.617 5.65-6.012a16.72 16.72 0 0 1 8.353-2.031zM62.625 82.736l20.975 20.8H41.65z'/%3e%3c/svg%3e";

/* script */
const __vue_script__$e = script$e;
var __vue_render__$e = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"item-container",class:{'confirmation-step': _vm.digitalTwin.confirmationStep, 'error': _vm.digitalTwinInformation.error}},[_c('div',{staticClass:"card-container"},[(_vm.digitalTwinInformation.active)?_c('div',{staticClass:"header"},[_c('img',{attrs:{"src":img$6,"alt":"Certifaction"}})]):_vm._e(),_vm._v(" "),(_vm.isLoading)?_c('ShadowCard'):(_vm.showFaq)?_c('FaqCard',{on:{"toggle-help":function($event){return _vm.toggleHelp($event)}}}):(_vm.showContact)?_c('ContactCard',{attrs:{"certifaction-api-url":_vm.verifierInformation.certifactionApiUrl},on:{"toggle-help":function($event){return _vm.toggleHelp($event)}}}):[(_vm.digitalTwinInformation.error)?_c('FileErrorCard',{on:{"toggle-help":function($event){return _vm.toggleHelp($event)}}}):(_vm.digitalTwinInformation.active && _vm.digitalTwin.confirmationStep)?_c('FileConfirmationCard',{attrs:{"file-name":_vm.verificationItem.name},on:{"approve-or-decline":_vm.digitalTwinApproveOrDecline}}):[(_vm.digitalTwinInformation.active && !_vm.digitalTwin.fileApproved)?_c('FileDeclinedCard',{attrs:{"file-name":_vm.verificationItem.name}}):(_vm.isSigning)?_c('SigningCard',{attrs:{"verification-item":_vm.verificationItem,"net":_vm.verifierInformation.net},on:{"toggle-help":function($event){return _vm.toggleHelp($event)}}}):_c('VerificationCard',{attrs:{"verification-item":_vm.verificationItem,"net":_vm.verifierInformation.net},on:{"toggle-help":function($event){return _vm.toggleHelp($event)}}})]],_vm._v(" "),(_vm.digitalTwinInformation.active && !_vm.digitalTwin.confirmationStep)?_c('div',{staticClass:"action-box"},[_c('div',{staticClass:"actions navigate"},[_c('button',{staticClass:"btn light",on:{"click":_vm.digitalTwinRecheck}},[_c('span',[_vm._v(_vm._s(_vm.$t('verification.digitalTwin.actionBox.actions.recheck')))])]),_vm._v(" "),_c('a',{staticClass:"btn primary",attrs:{"href":_vm.digitalTwinInformation.fileUrl,"download":""}},[_c('span',[_vm._v(_vm._s(_vm.$t('verification.digitalTwin.actionBox.actions.download')))])])])]):_vm._e()],2),_vm._v(" "),(_vm.digitalTwinInformation.active && !_vm.digitalTwinInformation.error)?_c('div',{staticClass:"pdf-container"}):_vm._e()])};
var __vue_staticRenderFns__$e = [];

  /* style */
  const __vue_inject_styles__$e = undefined;
  /* scoped */
  const __vue_scope_id__$e = undefined;
  /* module identifier */
  const __vue_module_identifier__$e = undefined;
  /* functional template */
  const __vue_is_functional_template__$e = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$e = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$e, staticRenderFns: __vue_staticRenderFns__$e },
    __vue_inject_styles__$e,
    __vue_script__$e,
    __vue_scope_id__$e,
    __vue_is_functional_template__$e,
    __vue_module_identifier__$e,
    false,
    undefined,
    undefined,
    undefined
  );

var demoDocuments = {
  notFound: {
    name: 'Demo_Document_NotFound.pdf',
    hash: '0x8db3dfe7de59e35f5f8be5fde6da543b57ccc017388def7c0a1db7af24db4abf',
    issuerAddress: null,
    issuerName: null,
    issuerImg: null,
    issuerVerified: false,
    revoked: false,
    expiry: null,
    loaded: true
  },
  technicalProblem: {
    name: 'Demo_Document_TechnicalProblem.pdf',
    hash: '0x8db3dfe7de59e35f5f8be5fde6da543b57ccc017388def7c0a1db7af24db4abf',
    issuerAddress: null,
    issuerName: null,
    issuerImg: null,
    issuerVerified: false,
    revoked: false,
    expiry: null,
    loaded: true,
    offchainError: true
  },
  verifiedProcessing: {
    hashed: true,
    name: 'Demo_Document_Verified_Processing.pdf',
    hash: '0x33e63485a8594ee7d1cfbb418a6f5acf7532faca38aa8a36b23eec8f6a53d179',
    onBlockchain: false,
    issuerAddress: undefined,
    issuerName: 'Demo University',
    issuerImg: null,
    issuerVerified: true,
    revoked: false,
    expiry: undefined,
    status: 'registering',
    loaded: true
  },
  verified: {
    hashed: true,
    name: 'Demo_Document_Verified.pdf',
    hash: '0x33e63485a8594ee7d1cfbb418a6f5acf7532faca38aa8a36b23eec8f6a53d179',
    onBlockchain: true,
    issuerAddress: '0xD0f6C73Bf87d1A00797A8A1DF2dF0Dad89D2411f',
    issuerName: 'Demo University',
    issuerImg: null,
    issuerVerified: true,
    revoked: false,
    expiry: null,
    registrationEvent: {
      address: '0x5ee4ec3cbee909050e68c7ff7a8b422cfbd72244',
      blockHash: '0xa95f5fce5e6ebfcbdb8bbd932e412fd376dc8b7189b8d8572fe9d4d8994961de',
      blockNumber: 7937331,
      transactionHash: '0x9b7e8f75ae271d8d659eb7bbd6d090fad3c784f862a5a83368fbc970bfa0a215 ',
      event: 'FileRegisteredEvent',
      signature: '0x98b03391b6b42a1d067881e3d2a22b2091e0412a0e2c40cf687d1c036beb6e11'
    },
    registrationBlock: {
      hash: '0x9b7e8f75ae271d8d659eb7bbd6d090fad3c784f862a5a83368fbc970bfa0a215',
      timestamp: 1560246087
    },
    loaded: true
  },
  verifiedSelfDeclared: {
    hashed: true,
    name: 'Demo_Document_Verified_Self_Declared.pdf',
    hash: '0x33e63485a8594ee7d1cfbb418a6f5acf7532faca38aa8a36b23eec8f6a53d179',
    onBlockchain: true,
    issuerAddress: '0xD0f6C73Bf87d1A00797A8A1DF2dF0Dad89D2411f',
    issuerName: 'Demo University',
    issuerImg: null,
    issuerVerified: false,
    revoked: false,
    expiry: null,
    registrationEvent: {
      address: '0x5ee4ec3cbee909050e68c7ff7a8b422cfbd72244',
      blockHash: '0xa95f5fce5e6ebfcbdb8bbd932e412fd376dc8b7189b8d8572fe9d4d8994961de',
      blockNumber: 7937331,
      transactionHash: '0x9b7e8f75ae271d8d659eb7bbd6d090fad3c784f862a5a83368fbc970bfa0a215 ',
      event: 'FileRegisteredEvent',
      signature: '0x98b03391b6b42a1d067881e3d2a22b2091e0412a0e2c40cf687d1c036beb6e11'
    },
    registrationBlock: {
      hash: '0x9b7e8f75ae271d8d659eb7bbd6d090fad3c784f862a5a83368fbc970bfa0a215',
      timestamp: 1560246087
    },
    loaded: true
  },
  revokedVerified: {
    hashed: true,
    name: 'Demo_Document_RevokedVerified.pdf',
    hash: '0x33e63485a8594ee7d1cfbb418a6f5acf7532faca38aa8a36b23eec8f6a53d179',
    onBlockchain: true,
    issuerAddress: '0xD0f6C73Bf87d1A00797A8A1DF2dF0Dad89D2411f',
    issuerName: 'Demo University',
    issuerImg: null,
    issuerVerified: true,
    revoked: true,
    expiry: null,
    registrationEvent: {
      address: '0x5ee4ec3cbee909050e68c7ff7a8b422cfbd72244',
      blockHash: '0xa95f5fce5e6ebfcbdb8bbd932e412fd376dc8b7189b8d8572fe9d4d8994961de',
      blockNumber: 7937331,
      transactionHash: '0x9b7e8f75ae271d8d659eb7bbd6d090fad3c784f862a5a83368fbc970bfa0a215',
      event: 'FileRegisteredEvent',
      signature: '0x98b03391b6b42a1d067881e3d2a22b2091e0412a0e2c40cf687d1c036beb6e11'
    },
    registrationBlock: {
      hash: '0x9b7e8f75ae271d8d659eb7bbd6d090fad3c784f862a5a83368fbc970bfa0a215',
      timestamp: 1560246087
    },
    revocationEvent: {
      address: '0x5ee4ec3cbee909050e68c7ff7a8b422cfbd72244',
      blockHash: '0xa95f5fce5e6ebfcbdb8bbd932e412fd376dc8b7189b8d8572fe9d4d8994961de',
      blockNumber: 7937331,
      transactionHash: '0x9b7e8f75ae271d8d659eb7bbd6d090fad3c784f862a5a83368fbc970bfa0a215',
      event: 'FileRegisteredEvent',
      signature: '0x98b03391b6b42a1d067881e3d2a22b2091e0412a0e2c40cf687d1c036beb6e11'
    },
    revocationBlock: {
      hash: '0x9b7e8f75ae271d8d659eb7bbd6d090fad3c784f862a5a83368fbc970bfa0a215',
      timestamp: 1560346087
    },
    loaded: true
  }
};

var script$f = {
  name: 'CertifactionVerification',
  mixins: [i18nWrapperMixin],
  components: {
    VerificationDemo: __vue_component__$1,
    VerificationFileSelector: __vue_component__$2,
    VerificationDropBox: __vue_component__$3,
    VerificationItem: __vue_component__$e
  },
  props: {
    demo: {
      type: Boolean,
      required: false,
      default: false
    },
    pdfWasmUrl: {
      type: String,
      required: true
    },
    providerUrl: {
      type: String,
      required: false
    },
    legacyContractAddress: {
      type: String,
      required: false
    },
    legacyContractFallbackAddresses: {
      type: Array,
      required: false
    },
    claimContractAddress: {
      type: String,
      required: false
    },
    acceptedIssuerKey: {
      type: String,
      required: false
    },
    certifactionApiUrl: {
      type: String,
      required: false
    },
    offchainVerifier: {
      type: Object,
      required: false,
      validator: function validator(value) {
        verificationCore.Interface.ensureImplements(value, verificationCore.VerifierInterface);
        return true;
      }
    },
    digitalTwinInformation: {
      type: Object,
      required: false
    }
  },
  data: function data() {
    return {
      certifactionEthVerifier: new verificationCore.CertifactionEthVerifier(this.providerUrl, this.legacyContractAddress, this.legacyContractFallbackAddresses, this.claimContractAddress, this.acceptedIssuerKey, this.certifactionApiUrl),
      pdfService: new verificationCore.PdfService(this.pdfWasmUrl),
      verificationItems: [],
      draggingDemoDoc: undefined,
      dropbox: {
        draggingOver: false,
        dragLeaveLocked: false
      },
      itemTimeouts: {},
      digitalTwin: {
        error: false,
        fileUrl: null,
        fileName: null
      }
    };
  },
  computed: {
    filteredVerificationItems: function filteredVerificationItems() {
      return this.verificationItems.map(function (item) {
        if (item.hash === undefined && !item.error) {
          return {
            hashed: false
          };
        }

        return _objectSpread2({
          hashed: true,
          type: verificationCore.mapVerificationItemType(item)
        }, item);
      });
    },
    verifierInformation: function verifierInformation() {
      return {
        net: this.certifactionEthVerifier.certifactionEthClient.eth.currentProvider.host.indexOf('ropsten') >= 0 ? 'ropsten.etherscan.io' : 'etherscan.io',
        certifactionApiUrl: this.certifactionApiUrl
      };
    },
    digitalTwinModeActive: function digitalTwinModeActive() {
      return this.digitalTwin.fileUrl !== null;
    },
    digitalTwinStatus: function digitalTwinStatus() {
      return _objectSpread2(_objectSpread2({}, this.digitalTwin), {
        active: this.digitalTwinModeActive
      });
    }
  },
  methods: {
    verify: function verify(files) {
      var _this = this;

      return _asyncToGenerator(regeneratorRuntime.mark(function _callee() {
        var _iterator, _step, file, _iterator2, _step2, _step2$value, key, item;

        return regeneratorRuntime.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                if (Object.values(_this.itemTimeouts).length > 0) {
                  Object.values(_this.itemTimeouts).forEach(function (timeoutId) {
                    return window.clearTimeout(timeoutId);
                  });
                  _this.itemTimeouts = {};
                }

                _this.verificationItems = [];
                _context.prev = 2;
                _iterator = _createForOfIteratorHelper(files);

                try {
                  for (_iterator.s(); !(_step = _iterator.n()).done;) {
                    file = _step.value;

                    _this.verificationItems.push({
                      file: file,
                      name: file.name
                    });
                  }
                } catch (err) {
                  _iterator.e(err);
                } finally {
                  _iterator.f();
                }

                _iterator2 = _createForOfIteratorHelper(_this.verificationItems.entries());

                try {
                  for (_iterator2.s(); !(_step2 = _iterator2.n()).done;) {
                    _step2$value = _slicedToArray(_step2.value, 2), key = _step2$value[0], item = _step2$value[1];

                    _this.verifyItem(item, key);
                  }
                } catch (err) {
                  _iterator2.e(err);
                } finally {
                  _iterator2.f();
                }

                _context.next = 9;
                return _this.$nextTick();

              case 9:
                VueScrollTo__default['default'].scrollTo(_this.$refs.results, 400);
                _context.next = 15;
                break;

              case 12:
                _context.prev = 12;
                _context.t0 = _context["catch"](2);
                console.log(_context.t0);

              case 15:
              case "end":
                return _context.stop();
            }
          }
        }, _callee, null, [[2, 12]]);
      }))();
    },
    verifyItem: function verifyItem(item, key) {
      var _this2 = this;

      return _asyncToGenerator(regeneratorRuntime.mark(function _callee2() {
        var pdfBytes, _yield$Promise$all, _yield$Promise$all2, fileHash, encryptionKeys, decryptionKey, verification, oldResult, newResult;

        return regeneratorRuntime.wrap(function _callee2$(_context2) {
          while (1) {
            switch (_context2.prev = _context2.next) {
              case 0:
                _context2.next = 2;
                return _this2.pdfService.readPdfBytes(item.file);

              case 2:
                pdfBytes = _context2.sent;
                _context2.next = 5;
                return Promise.all([verificationCore.hashingService.hashFile(pdfBytes), _this2.pdfService.extractEncryptionKeys(pdfBytes)]);

              case 5:
                _yield$Promise$all = _context2.sent;
                _yield$Promise$all2 = _slicedToArray(_yield$Promise$all, 2);
                fileHash = _yield$Promise$all2[0];
                encryptionKeys = _yield$Promise$all2[1];
                decryptionKey = encryptionKeys !== null ? encryptionKeys.claimPrivateKey : null;
                _context2.next = 12;
                return _this2.certifactionEthVerifier.verify(fileHash, decryptionKey);

              case 12:
                verification = _context2.sent;

                if (!_this2.offchainVerifier) {
                  _context2.next = 17;
                  break;
                }

                _context2.next = 16;
                return _this2.offchainVerification(verification, decryptionKey);

              case 16:
                verification = _context2.sent;

              case 17:
                oldResult = JSON.stringify(_this2.verificationItems[key]);
                newResult = JSON.stringify(_objectSpread2(_objectSpread2({}, item), verification));

                if (oldResult !== newResult) {
                  Vue__default['default'].set(_this2.verificationItems, key, _objectSpread2(_objectSpread2({}, item), verification));
                  verification.loaded = true;
                }

                if (_this2.verificationItems[key].status === 'registering') {
                  _this2.itemTimeouts[verification.hash] = window.setTimeout(function () {
                    _this2.verifyItem(item, key);
                  }, 20000);
                }

              case 21:
              case "end":
                return _context2.stop();
            }
          }
        }, _callee2);
      }))();
    },
    offchainVerification: function offchainVerification(verification, decryptionKey) {
      var _this3 = this;

      return _asyncToGenerator(regeneratorRuntime.mark(function _callee3() {
        var offchainVerification, claimVerification, identityVerifier;
        return regeneratorRuntime.wrap(function _callee3$(_context3) {
          while (1) {
            switch (_context3.prev = _context3.next) {
              case 0:
                _context3.prev = 0;
                _context3.next = 3;
                return _this3.offchainVerifier.verify(verification.hash);

              case 3:
                offchainVerification = _context3.sent;

                if (!offchainVerification) {
                  _context3.next = 20;
                  break;
                }

                if (!(offchainVerification.encrypted && offchainVerification.claims && offchainVerification.claims.length > 0)) {
                  _context3.next = 16;
                  break;
                }

                _context3.next = 8;
                return _this3.certifactionEthVerifier.certifactionClaimVerifier.resolveAndVerifyClaims(offchainVerification.claims, decryptionKey);

              case 8:
                claimVerification = _context3.sent;
                offchainVerification.claims = claimVerification.claims;

                if (!offchainVerification.revoked) {
                  offchainVerification.revoked = claimVerification.revoked;
                }

                if (!offchainVerification.issuerVerified && typeof claimVerification.issuerVerified === 'boolean') {
                  offchainVerification.issuerVerified = claimVerification.issuerVerified;
                }

                if (!offchainVerification.issuerAddress && claimVerification.issuerAddress) {
                  offchainVerification.issuerAddress = claimVerification.issuerAddress;
                }

                if (!offchainVerification.issuerName && claimVerification.issuerName) {
                  offchainVerification.issuerName = claimVerification.issuerName;
                }

                if (!offchainVerification.issuerVerifiedBy && claimVerification.issuerVerifiedBy) {
                  offchainVerification.issuerVerifiedBy = claimVerification.issuerVerifiedBy;
                }

                if (!offchainVerification.issuerVerifiedImg && claimVerification.issuerVerifiedImg) {
                  offchainVerification.issuerVerifiedImg = claimVerification.issuerVerifiedImg;
                }

              case 16:
                identityVerifier = {};

                if (offchainVerification.issuerVerifiedBy) {
                  identityVerifier.name = offchainVerification.issuerVerifiedBy;
                }

                if (offchainVerification.issuerVerifiedImg) {
                  identityVerifier.image = offchainVerification.issuerVerifiedImg;
                }

                if (!verification.events && offchainVerification.status === 'registering') {
                  verification = _objectSpread2(_objectSpread2(_objectSpread2({}, verification), offchainVerification), {}, {
                    events: [{
                      scope: 'register',
                      issuer: offchainVerification.issuerName,
                      identityVerifier: Object.keys(identityVerifier).length > 0 ? identityVerifier : null
                    }]
                  });
                } else if (['registered', 'registering', 'revoking', 'revoked'].indexOf(offchainVerification.status) >= 0) {
                  if (!verification.issuerName && offchainVerification.issuerName) {
                    verification.issuerName = offchainVerification.issuerName;
                  }

                  if (!verification.issuerVerified && typeof offchainVerification.issuerVerified === 'boolean') {
                    verification.issuerVerified = offchainVerification.issuerVerified;
                  }

                  if (!verification.issuerVerifiedBy && offchainVerification.issuerVerifiedBy) {
                    verification.issuerVerifiedBy = offchainVerification.issuerVerifiedBy;
                  }

                  if (!verification.issuerVerifiedImg && offchainVerification.issuerVerifiedImg) {
                    verification.issuerVerifiedImg = offchainVerification.issuerVerifiedImg;
                  }

                  if (typeof verification.revoked !== 'boolean' && typeof offchainVerification.revoked === 'boolean') {
                    verification.revoked = offchainVerification.revoked;
                  }

                  if (verification.events && verification.events.length > 0) {
                    verification.events = verification.events.map(function (event) {
                      var newEvent = _objectSpread2({}, event);

                      var identityVerifier = _objectSpread2({}, event.identityVerifier);

                      if (!event.issuer && offchainVerification.issuerName) {
                        newEvent.issuer = offchainVerification.issuerName;
                      }

                      if (!identityVerifier.name && offchainVerification.issuerVerifiedBy) {
                        identityVerifier.name = offchainVerification.issuerVerifiedBy;
                      }

                      if (!identityVerifier.image && offchainVerification.issuerVerifiedImg) {
                        identityVerifier.image = offchainVerification.issuerVerifiedImg;
                      }

                      if (Object.keys(identityVerifier).length > 0) {
                        newEvent.identityVerifier = identityVerifier;
                      }

                      return newEvent;
                    });
                  } else {
                    verification.events = [{
                      scope: 'register',
                      issuer: offchainVerification.issuerName,
                      identityVerifier: Object.keys(identityVerifier).length > 0 ? identityVerifier : null
                    }];

                    if (offchainVerification.revoked === true) {
                      verification.events.push({
                        scope: 'revoke',
                        issuer: offchainVerification.issuerName,
                        identityVerifier: Object.keys(identityVerifier).length > 0 ? identityVerifier : null
                      });
                    }
                  }
                }

              case 20:
                _context3.next = 26;
                break;

              case 22:
                _context3.prev = 22;
                _context3.t0 = _context3["catch"](0);
                console.log("Error while verifying by offchain verification: ".concat(_context3.t0.name, " - ").concat(_context3.t0.message));
                verification.offchainError = true;

              case 26:
                console.log("Verification result for file ".concat(verification.hash, ":"), verification);
                return _context3.abrupt("return", verification);

              case 28:
              case "end":
                return _context3.stop();
            }
          }
        }, _callee3, null, [[0, 22]]);
      }))();
    },
    processDigitalTwinUrl: function processDigitalTwinUrl() {
      var _this4 = this;

      return _asyncToGenerator(regeneratorRuntime.mark(function _callee4() {
        var response, encryptedFile, encryptedPdfBytes, decryptedPdfBytes, decryptedBlob, decryptedFile, filesNew;
        return regeneratorRuntime.wrap(function _callee4$(_context4) {
          while (1) {
            switch (_context4.prev = _context4.next) {
              case 0:
                if (_this4.digitalTwinInformation.decryptionKey) {
                  _context4.next = 4;
                  break;
                }

                console.log('No decryption key');
                _this4.digitalTwin.error = true;
                return _context4.abrupt("return");

              case 4:
                _context4.prev = 4;
                _context4.next = 7;
                return axios__default['default'].get(_this4.digitalTwinInformation.fileUrl, {
                  responseType: 'blob'
                });

              case 7:
                response = _context4.sent;

                if (!(response.status === 200)) {
                  _context4.next = 26;
                  break;
                }

                encryptedFile = new File([response.data], 'certifaction_encrypted_file', {
                  lastModified: new Date().getTime(),
                  type: response.data.type
                });
                _context4.next = 12;
                return _this4.pdfService.readPdfBytes(encryptedFile);

              case 12:
                encryptedPdfBytes = _context4.sent;
                _context4.next = 15;
                return _this4.pdfService.decryptPdf(encryptedPdfBytes, _this4.digitalTwinInformation.decryptionKey.split('#')[1]);

              case 15:
                decryptedPdfBytes = _context4.sent;
                decryptedBlob = new Blob([decryptedPdfBytes], {
                  type: 'application/pdf'
                });
                decryptedFile = new File([decryptedBlob], 'certifaction_decrypted_file', {
                  lastModified: new Date().getTime(),
                  type: decryptedBlob.type
                });
                _this4.digitalTwin.fileUrl = URL.createObjectURL(decryptedFile);
                _this4.digitalTwin.fileName = decryptedFile.name;
                filesNew = [];
                filesNew.push(decryptedFile);
                _context4.next = 24;
                return _this4.verify(filesNew);

              case 24:
                _context4.next = 27;
                break;

              case 26:
                _this4.digitalTwin.error = true;

              case 27:
                _context4.next = 33;
                break;

              case 29:
                _context4.prev = 29;
                _context4.t0 = _context4["catch"](4);
                console.log(_context4.t0);
                _this4.digitalTwin.error = true;

              case 33:
              case "end":
                return _context4.stop();
            }
          }
        }, _callee4, null, [[4, 29]]);
      }))();
    },
    onDraggingDemoDoc: function onDraggingDemoDoc(demoDoc) {
      this.draggingDemoDoc = demoDoc;
    },
    drop: function drop() {
      if (this.draggingDemoDoc) {
        this.verifyDemo(this.draggingDemoDoc);
      }
    },
    verifyDemo: function verifyDemo(type) {
      var _this5 = this;

      return _asyncToGenerator(regeneratorRuntime.mark(function _callee5() {
        return regeneratorRuntime.wrap(function _callee5$(_context5) {
          while (1) {
            switch (_context5.prev = _context5.next) {
              case 0:
                if (!demoDocuments[type]) {
                  _context5.next = 5;
                  break;
                }

                _this5.verificationItems = [demoDocuments[type]];
                _context5.next = 4;
                return _this5.$nextTick();

              case 4:
                VueScrollTo__default['default'].scrollTo(_this5.$refs.results, 400);

              case 5:
              case "end":
                return _context5.stop();
            }
          }
        }, _callee5);
      }))();
    },
    handleDrop: function handleDrop(e) {
      this.dropbox.draggingOver = false;
      this.verify(e.dataTransfer.files);
    },
    dragOver: function dragOver() {
      var _this6 = this;

      return _asyncToGenerator(regeneratorRuntime.mark(function _callee6() {
        return regeneratorRuntime.wrap(function _callee6$(_context6) {
          while (1) {
            switch (_context6.prev = _context6.next) {
              case 0:
                if (!_this6.dropbox.draggingOver) {
                  _this6.dropbox.draggingOver = true;
                  _this6.dropbox.dragLeaveLocked = true;
                  setTimeout(function () {
                    _this6.dropbox.dragLeaveLocked = false;
                  }, 100);
                }

              case 1:
              case "end":
                return _context6.stop();
            }
          }
        }, _callee6);
      }))();
    },
    dragLeave: function dragLeave() {
      if (!this.dropbox.dragLeaveLocked) {
        this.dropbox.draggingOver = false;
      }
    }
  },
  mounted: function mounted() {
    if (this.digitalTwinInformation.fileUrl) {
      this.processDigitalTwinUrl();
    }
  }
};

/* script */
const __vue_script__$f = script$f;
var __vue_render__$f = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"certifaction-verification",on:{"dragover":function($event){$event.preventDefault();return _vm.dragOver($event)},"dragleave":_vm.dragLeave,"drop":function($event){$event.preventDefault();return _vm.handleDrop($event)}}},[(!_vm.digitalTwinModeActive)?_c('VerificationDropBox',{directives:[{name:"show",rawName:"v-show",value:(_vm.dropbox.draggingOver),expression:"dropbox.draggingOver"}],attrs:{"first-verification":_vm.filteredVerificationItems.length === 0}}):_vm._e(),_vm._v(" "),[(_vm.demo !== false && !_vm.digitalTwinModeActive)?_c('VerificationDemo',{on:{"verify-demo":_vm.verifyDemo,"dragging-demo-doc":_vm.onDraggingDemoDoc}}):_vm._e(),_vm._v(" "),(_vm.filteredVerificationItems.length)?_c('div',{ref:"results",staticClass:"verification-item-list",class:{ 'digital-twin': _vm.digitalTwinModeActive }},_vm._l((_vm.filteredVerificationItems),function(verificationItem){return _c('VerificationItem',{key:verificationItem.hash,attrs:{"verification-item":verificationItem,"verifier-information":_vm.verifierInformation,"certifaction-api-url":_vm.certifactionApiUrl,"digital-twin-information":_vm.digitalTwinStatus}})}),1):_vm._e(),_vm._v(" "),(!_vm.digitalTwinModeActive)?_c('VerificationFileSelector',{attrs:{"first-verification":_vm.filteredVerificationItems.length === 0},on:{"files-selected":_vm.verify}}):_vm._e(),_vm._v(" "),(!_vm.digitalTwinModeActive)?_c('div',{staticClass:"powered-by"},[_c('span',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.poweredBy.label')))]),_vm._v(" "),_vm._m(0)]):_vm._e()]],2)};
var __vue_staticRenderFns__$f = [function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('a',{attrs:{"href":"https://certifaction.com","target":"_blank"}},[_c('img',{attrs:{"src":img$6,"alt":"Certifaction"}})])}];

  /* style */
  const __vue_inject_styles__$f = undefined;
  /* scoped */
  const __vue_scope_id__$f = undefined;
  /* module identifier */
  const __vue_module_identifier__$f = undefined;
  /* functional template */
  const __vue_is_functional_template__$f = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$f = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$f, staticRenderFns: __vue_staticRenderFns__$f },
    __vue_inject_styles__$f,
    __vue_script__$f,
    __vue_scope_id__$f,
    __vue_is_functional_template__$f,
    __vue_module_identifier__$f,
    false,
    undefined,
    undefined,
    undefined
  );

exports.CertifactionVerification = __vue_component__$f;
//# sourceMappingURL=verification-vue-component.common.js.map
